#if 0
PCIHDR.H: PCI Vendors, Devices, and Class Type information

  Created automatically from the web using the following URL:
      http://www.yourvote.com/pci
  Software to create and maintain the PCICODE List written by:
      Jim Boemler (jboemler@halcyon.com) 

  This header created on Mon, 18 Oct 1999 05:25:14 UTC

Too many people have contributed to this list to acknowledge them all, but
a few have provided the majority of the input and deserve special mention:
   Frederic Potter, who maintains a list for Linux.
   Chris Aston at Madge Networks.
   Thomas Dippon of Hewlett-Packard GmbH.
   Jurgen ("Josh") Thelen
   William H. Avery III at Altitech
#endif

/** 
 * @file arch/x86/kernel/pcihdr.h
 * @brief PCI vendor ID related structs and definitions
 *
 * This file is a long list of vendor IDs with some structure definitions.
 */

/*  
 *  NOTE that the 0xFFFF of 0xFF entries at the end of some tables below are
 *  not properly list terminators, but are actually the printable definitions
 *  of values that are legitimately found on the PCI bus.  The size
 *  definitions should be used for loop control when the table is searched.
 */

/** @brief PCI vendor table structure */
typedef struct _PCI_VENTABLE
{
	/// Vendor ID
	unsigned short	VenId ;
	/// Short vendor name string
	char *	VenShort ;
	/// Full vendor nae string
	char *	VenFull ;
}  PCI_VENTABLE, *PPCI_VENTABLE ;

static const PCI_VENTABLE	PciVenTable [] =
{
	{ 0x003D, "Lockheed Martin", "Lockheed Martin Corp" } ,
	{ 0x0E11, "Compaq", "Compaq" } ,
	{ 0x1000, "LSI", "LSI Logic" } ,
	{ 0x1001, "KOLTER", "Kolter Electronic - Germany" } ,
	{ 0x1002, "ATI", "ATI Technologies" } ,
	{ 0x1003, "ULSI", "ULSI" } ,
	{ 0x1004, "VLSI", "VLSI Technology" } ,
	{ 0x1005, "Avance", "Avance Logic Inc." } ,
	{ 0x1006, "Reply", "Reply Group" } ,
	{ 0x1007, "NetFrame", "Netframe Systems" } ,
	{ 0x1008, "Epson", "Epson" } ,
	{ 0x100A, "Phoenix", "Phoenix Technologies Ltd." } ,
	{ 0x100B, "NSC", "National Semiconductor" } ,
	{ 0x100C, "Tseng", "Tseng Labs" } ,
	{ 0x100D, "AST", "AST Research" } ,
	{ 0x100E, "Weitek", "Weitek" } ,
	{ 0x1010, "VLogic", "Video Logic Ltd." } ,
	{ 0x1011, "DEC", "Digital Equipment Corporation" } ,
	{ 0x1012, "Micronics", "Micronics Computers Inc." } ,
	{ 0x1013, "Cirrus", "Cirrus Logic" } ,
	{ 0x1014, "IBM", "IBM" } ,
	{ 0x1015, "LSIL", "LSI Logic Corp of Canada" } ,
	{ 0x1016, "Fujitsu ICL", "Fujitsu ICL Computers" } ,
	{ 0x1017, "Spea", "Spea Software AG" } ,
	{ 0x1018, "Unisys", "Unisys Systems" } ,
	{ 0x1019, "ECS", "Elitegroup Computer Sys" } ,
	{ 0x101A, "NCR", "NCR/AT&T GIS" } ,
	{ 0x101B, "Vitesse", "Vitesse Semiconductor" } ,
	{ 0x101C, "WD", "Western Digital" } ,
	{ 0x101E, "AMI", "American Megatrends Inc." } ,
	{ 0x101F, "PictureTel", "PictureTel Corp." } ,
	{ 0x1020, "Hitachi", "Hitachi Computer Electronics" } ,
	{ 0x1021, "OKI", "Oki Electric Industry" } ,
	{ 0x1022, "AMD", "Advanced Micro Devices" } ,
	{ 0x1023, "Trident", "Trident Microsystems" } ,
	{ 0x1024, "Zenith", "Zenith Data Systems" } ,
	{ 0x1025, "Acer", "Acer Incorporated" } ,
	{ 0x1028, "Dell", "Dell Computer Corporation" } ,
	{ 0x1029, "Siem-Nix", "Siemens Nixdorf AG" } ,
	{ 0x102A, "LSI", "LSI Logic Headland Div" } ,
	{ 0x102B, "Matrox", "Matrox" } ,
	{ 0x102C, "C&T", "Chips And Technologies" } ,
	{ 0x102D, "Wyse", "Wyse Technologies" } ,
	{ 0x102E, "Olivetti", "Olivetti Advanced Technology" } ,
	{ 0x102F, "Toshiba", "Toshiba America" } ,
	{ 0x1030, "TMC", "TMC Research" } ,
	{ 0x1031, "miro", "miro Computer Products AG" } ,
	{ 0x1032, "Compaq", "Compaq" } ,
	{ 0x1033, "NEC", "NEC Corporation" } ,
	{ 0x1034, "Burndy", "Burndy Corporation" } ,
	{ 0x1035, "C&CRL", "Computer&Communication Research Lab" } ,
	{ 0x1036, "FDomain", "Future Domain" } ,
	{ 0x1037, "Hitachi", "Hitachi Micro Systems Inc" } ,
	{ 0x1038, "AMP", "AMP Incorporated" } ,
	{ 0x1039, "SIS", "Silicon Integrated System" } ,
	{ 0x103A, "Seiko", "Seiko Epson Corporation" } ,
	{ 0x103B, "Tatung", "Tatung Corp. Of America" } ,
	{ 0x103C, "HP", "Hewlett-Packard Company" } ,
	{ 0x103E, "Solliday", "Solliday Engineering" } ,
	{ 0x103F, "Logic Mod.", "Logic Modeling" } ,
	{ 0x1040, "Kubota", "Kubota Pacific Computer Inc." } ,
	{ 0x1041, "Computrend", "Computrend" } ,
	{ 0x1042, "PC Tech.", "PC Technology" } ,
	{ 0x1043, "Asustek", "Asustek Computer Inc." } ,
	{ 0x1044, "DPT", "Distributed Processing Tech" } ,
	{ 0x1045, "OPTi", "OPTi" } ,
	{ 0x1046, "IPC", "IPC Corporation LTD" } ,
	{ 0x1047, "Genoa", "Genoa Systems Corp." } ,
	{ 0x1048, "ELSA", "ELSA AG" } ,
	{ 0x1049, "Fountain", "Fountain Technology" } ,
	{ 0x104A, "STM", "ST Microelectronics" } ,
	{ 0x104B, "Mylex", "Mylex Corporation" } ,
	{ 0x104C, "TI", "Texas Instruments" } ,
	{ 0x104D, "Sony", "Sony Corporation" } ,
	{ 0x104E, "Oak", "Oak Technology" } ,
	{ 0x104F, "Co-Time", "Co-Time Computer Ltd." } ,
	{ 0x1050, "Winbond", "Winbond Electronics Corp." } ,
	{ 0x1051, "Anigma", "Anigma Corp." } ,
	{ 0x1052, "Young", "Young Micro Systems" } ,
	{ 0x1054, "Hitachi", "Hitachi LTD" } ,
	{ 0x1055, "EFAR", "EFAR Microsystems" } ,
	{ 0x1056, "ICL", "ICL" } ,
	{ 0x1057, "Motorola", "Motorola" } ,
	{ 0x1058, "E&TR", "Electronics & Telecommunication Res" } ,
	{ 0x1059, "Teknor", "Teknor Microsystems" } ,
	{ 0x105A, "Promise", "Promise Technology" } ,
	{ 0x105B, "Foxconn", "Foxconn International" } ,
	{ 0x105C, "Wipro", "Wipro Infotech Limited" } ,
	{ 0x105D, "Number-Nine", "Number Nine Visual Technology" } ,
	{ 0x105E, "Vtech", "Vtech Engineering Canada Ltd." } ,
	{ 0x105F, "Infotronic", "Infotronic America Inc." } ,
	{ 0x1060, "UMC", "United Microelectronics" } ,
	{ 0x1061, "8x8", "8x8 Inc." } ,
	{ 0x1062, "Maspar", "Maspar Computer Corp." } ,
	{ 0x1063, "OOA", "Ocean Office Automation" } ,
	{ 0x1064, "Alcatel", "Alcatel Cit" } ,
	{ 0x1065, "TM", "Texas Microsystems" } ,
	{ 0x1066, "Picopower", "Picopower Technology" } ,
	{ 0x1067, "Mitsubishi", "Mitsubishi Electronics" } ,
	{ 0x1068, "Div. Tech.", "Diversified Technology" } ,
	{ 0x1069, "Mylex", "Mylex Corporation" } ,
	{ 0x106A, "Aten", "Aten Research Inc." } ,
	{ 0x106B, "Apple", "Apple Computer Inc." } ,
	{ 0x106C, "Hyundai", "Hyundai Electronics America" } ,
	{ 0x106D, "Sequent", "Sequent" } ,
	{ 0x106E, "DFI", "DFI Inc." } ,
	{ 0x106F, "CityGate", "City Gate Development LTD" } ,
	{ 0x1070, "Daewoo", "Daewoo Telecom Ltd." } ,
	{ 0x1071, "Mitac", "Mitac" } ,
	{ 0x1072, "GIT", "GIT Co. Ltd." } ,
	{ 0x1073, "Yamaha", "Yamaha Corporation" } ,
	{ 0x1074, "Nexgen", "Nexgen Microsysteme" } ,
	{ 0x1075, "AIR", "Advanced Integration Research" } ,
	{ 0x1076, "Chaintech", "Chaintech Computer Co. Ltd." } ,
	{ 0x1077, "Q Logic", "Q Logic" } ,
	{ 0x1078, "Cyrix", "Cyrix Corporation" } ,
	{ 0x1079, "I-Bus", "I-Bus" } ,
	{ 0x107A, "Networth", "Networth" } ,
	{ 0x107B, "Gateway", "Gateway 2000" } ,
	{ 0x107C, "Goldstar", "Goldstar Co. Ltd." } ,
	{ 0x107D, "Leadtek", "Leadtek Research" } ,
	{ 0x107E, "Interphase", "Interphase Corporation" } ,
	{ 0x107F, "DTC", "Data Technology Corporation" } ,
	{ 0x1080, "Contaq", "Contaq Microsystems" } ,
	{ 0x1081, "Supermac", "Supermac Technology Inc." } ,
	{ 0x1082, "EFA", "EFA Corporation Of America" } ,
	{ 0x1083, "Forex", "Forex Computer Corporation" } ,
	{ 0x1084, "Parador", "Parador" } ,
	{ 0x1085, "Tulip", "Tulip Computers Int'l BV" } ,
	{ 0x1086, "J. Bond", "J. Bond Computer Systems" } ,
	{ 0x1087, "Cache", "Cache Computer" } ,
	{ 0x1088, "MS Son", "Microcomputer Systems (M) Son" } ,
	{ 0x1089, "DG", "Data General Corporation" } ,
	{ 0x108A, "Bit3", "Bit3 Computer" } ,
	{ 0x108C, "Elonex", "Elonex PLC c/o Oakleigh Systems Inc." } ,
	{ 0x108D, "Olicom", "Olicom" } ,
	{ 0x108E, "Sun", "Sun Microsystems" } ,
	{ 0x108F, "Systemsoft", "Systemsoft Corporation" } ,
	{ 0x1090, "Encore", "Encore Computer Corporation" } ,
	{ 0x1091, "Intergraph", "Intergraph Corporation" } ,
	{ 0x1092, "Diamond", "Diamond Computer Systems" } ,
	{ 0x1093, "Nat. Inst.", "National Instruments" } ,
	{ 0x1094, "FIC", "First Int'l Computers" } ,
	{ 0x1095, "CMD", "CMD Technology Inc." } ,
	{ 0x1096, "Alacron", "Alacron" } ,
	{ 0x1097, "Appian", "Appian Graphics" } ,
	{ 0x1098, "Quantum", "Quantum Designs Ltd." } ,
	{ 0x1099, "Samsung", "Samsung Electronics Co. Ltd." } ,
	{ 0x109A, "Packard-Bell", "Packard Bell" } ,
	{ 0x109B, "Gemlight", "Gemlight Computer Ltd." } ,
	{ 0x109C, "Megachips", "Megachips Corporation" } ,
	{ 0x109D, "Zida", "Zida Technologies Ltd." } ,
	{ 0x109E, "Brooktree", "Brooktree Corporation" } ,
	{ 0x109F, "Trigem", "Trigem Computer Inc." } ,
	{ 0x10A0, "Meidensha", "Meidensha Corporation" } ,
	{ 0x10A1, "Juko", "Juko Electronics Inc. Ltd." } ,
	{ 0x10A2, "Quantum", "Quantum Corporation" } ,
	{ 0x10A3, "Everex", "Everex Systems Inc." } ,
	{ 0x10A4, "Globe", "Globe Manufacturing Sales" } ,
	{ 0x10A5, "Racal", "Racal Interlan" } ,
	{ 0x10A6, "Informtech", "Informtech Industrial Ltd." } ,
	{ 0x10A7, "Benchmarq", "Benchmarq Microelectronics" } ,
	{ 0x10A8, "Sierra", "Sierra Semiconductor" } ,
	{ 0x10A9, "SG", "Silicon Graphics" } ,
	{ 0x10AA, "ACC", "ACC Microelectronics" } ,
	{ 0x10AB, "Digicom", "Digicom" } ,
	{ 0x10AC, "Honeywell", "Honeywell IASD" } ,
	{ 0x10AD, "Symphony", "Symphony Labs" } ,
	{ 0x10AE, "Cornerstone", "Cornerstone Technology" } ,
	{ 0x10AF, "MCS", "Micro Computer Systems Inc." } ,
	{ 0x10B0, "Cardexpert", "Cardexpert Technology" } ,
	{ 0x10B1, "Cabletron", "Cabletron Systems Inc." } ,
	{ 0x10B2, "Raytheon", "Raytheon Company" } ,
	{ 0x10B3, "Databook", "Databook Inc." } ,
	{ 0x10B4, "STB", "STB Systems" } ,
	{ 0x10B5, "PLX", "PLX Technology" } ,
	{ 0x10B6, "Madge", "Madge Networks" } ,
	{ 0x10B7, "3Com", "3Com Corporation" } ,
	{ 0x10B8, "Standard", "Standard Microsystems" } ,
	{ 0x10B9, "ALI", "Acer Labs Inc." } ,
	{ 0x10BA, "Mitsubishi", "Mitsubishi Electronics Corp." } ,
	{ 0x10BB, "Dapha", "Dapha Electronics Corporation" } ,
	{ 0x10BC, "ALR", "Advanced Logic Research Inc." } ,
	{ 0x10BD, "Surecom", "Surecom Technology" } ,
	{ 0x10BE, "Tseng", "Tsenglabs International Corp." } ,
	{ 0x10BF, "MOST", "MOST Corp." } ,
	{ 0x10C0, "Boca", "Boca Research Inc." } ,
	{ 0x10C1, "ICM", "ICM Corp. Ltd." } ,
	{ 0x10C2, "Auspex", "Auspex Systems Inc." } ,
	{ 0x10C3, "Samsung", "Samsung Semiconductors" } ,
	{ 0x10C4, "Award", "Award Software Int'l Inc." } ,
	{ 0x10C5, "Xerox", "Xerox Corporation" } ,
	{ 0x10C6, "Rambus", "Rambus Inc." } ,
	{ 0x10C7, "Media Vision", "Media Vision" } ,
	{ 0x10C8, "Neomagic", "Neomagic Corporation" } ,
	{ 0x10C9, "Dataexpert", "Dataexpert Corporation" } ,
	{ 0x10CA, "Fujitsu", "Fujitsu" } ,
	{ 0x10CB, "Omron", "Omron Corporation" } ,
	{ 0x10CC, "Mentor", "Mentor Arc Inc." } ,
	{ 0x10CD, "AdvanSys", "Advanced System Products" } ,
	{ 0x10CE, "Radius", "Radius Inc." } ,
	{ 0x10CF, "TTI", "Citicorp TTI" } ,
	{ 0x10D0, "Fujitsu", "Fujitsu Limited" } ,
	{ 0x10D1, "Future+", "Future+ Systems" } ,
	{ 0x10D2, "Molex", "Molex Incorporated" } ,
	{ 0x10D3, "Jabil", "Jabil Circuit Inc." } ,
	{ 0x10D4, "Hualon", "Hualon Microelectronics" } ,
	{ 0x10D5, "Autologic", "Autologic Inc." } ,
	{ 0x10D6, "Cetia", "Cetia" } ,
	{ 0x10D7, "BCM", "BCM Advanced Research" } ,
	{ 0x10D8, "APL", "Advanced Peripherals Labs" } ,
	{ 0x10D9, "Macronix", "Macronix International Co. Ltd." } ,
	{ 0x10DA, "T-C", "Thomas-Conrad Corporation" } ,
	{ 0x10DB, "Rohm", "Rohm Research" } ,
	{ 0x10DC, "CERN", "CERN-European Lab. for Particle Physics" } ,
	{ 0x10DD, "E&S", "Evans & Sutherland" } ,
	{ 0x10DE, "Nvidia", "Nvidia Corporation" } ,
	{ 0x10DF, "Emulex", "Emulex Corporation" } ,
	{ 0x10E0, "IMS", "Integrated Micro Solutions" } ,
	{ 0x10E1, "Tekram", "Tekram Technology Corp. Ltd." } ,
	{ 0x10E2, "Aptix", "Aptix Corporation" } ,
	{ 0x10E3, "Tundra", "Tundra Semiconductor Corp." } ,
	{ 0x10E4, "Tandem", "Tandem Computers" } ,
	{ 0x10E5, "MIC", "Micro Industries Corporation" } ,
	{ 0x10E6, "Gainbery", "Gainbery Computer Products Inc." } ,
	{ 0x10E7, "Vadem", "Vadem" } ,
	{ 0x10E8, "AMCC", "Applied Micro Circuits Corp." } ,
	{ 0x10E9, "Alps", "Alps Electronic Corp. Ltd." } ,
	{ 0x10EA, "Intergraphics", "Integraphics Systems" } ,
	{ 0x10EB, "Artist", "Artist Graphics" } ,
	{ 0x10EC, "Realtek", "Realtek Semiconductor" } ,
	{ 0x10ED, "Ascii", "Ascii Corporation" } ,
	{ 0x10EE, "Xilinx", "Xilinx Corporation" } ,
	{ 0x10EF, "Racore", "Racore Computer Products" } ,
	{ 0x10F0, "Peritek", "Peritek Corporation" } ,
	{ 0x10F1, "Tyan", "Tyan Computer" } ,
	{ 0x10F2, "Achme", "Achme Computer Inc." } ,
	{ 0x10F3, "Alaris", "Alaris Inc." } ,
	{ 0x10F4, "S-Mos", "S-Mos Systems" } ,
	{ 0x10F5, "NKK", "NKK Corporation" } ,
	{ 0x10F6, "Creative", "Creative Electronic Systems SA" } ,
	{ 0x10F7, "Matsushita", "Matsushita Electric Industrial Corp." } ,
	{ 0x10F8, "Altos", "Altos India Ltd." } ,
	{ 0x10F9, "PC-Direct", "PC Direct" } ,
	{ 0x10FA, "Truevision", "Truevision" } ,
	{ 0x10FB, "Thesys", "Thesys Microelectronic's" } ,
	{ 0x10FC, "I-O", "I-O Data Device Inc." } ,
	{ 0x10FD, "Soyo", "Soyo Technology Corp. Ltd." } ,
	{ 0x10FE, "Fast", "Fast Electronic GmbH" } ,
	{ 0x10FF, "Ncube", "Ncube" } ,
	{ 0x1100, "Jazz", "Jazz Multimedia" } ,
	{ 0x1101, "Initio", "Initio Corporation" } ,
	{ 0x1102, "Creative Labs", "Creative Labs" } ,
	{ 0x1103, "Triones", "Triones Technologies Inc." } ,
	{ 0x1104, "Rasterops", "Rasterops" } ,
	{ 0x1105, "Sigma", "Sigma Designs Inc." } ,
	{ 0x1106, "VIA", "VIA Technologies Inc" } ,
	{ 0x1107, "Stratus", "Stratus Computer" } ,
	{ 0x1108, "Proteon", "Proteon Inc." } ,
	{ 0x1109, "Cogent", "Cogent Data Technologies" } ,
	{ 0x110A, "Siemens", "Siemens AG / Siemens Nixdorf AG" } ,
	{ 0x110B, "Chromatic", "Chromatic Research Inc" } ,
	{ 0x110C, "Mini-Max", "Mini-Max Technology Inc." } ,
	{ 0x110D, "ZNYX", "ZNYX Corporation" } ,
	{ 0x110E, "CPU Tech.", "CPU Technology" } ,
	{ 0x110F, "Ross", "Ross Technology" } ,
	{ 0x1110, "Powerhouse", "Powerhouse Systems" } ,
	{ 0x1111, "SCO", "Santa Cruz Operation" } ,
	{ 0x1112, "Osicom", "Osicom Technologies Inc." } ,
	{ 0x1113, "Accton", "Accton Technology Corporation" } ,
	{ 0x1114, "Atmel", "Atmel Corp." } ,
	{ 0x1115, "Dupont", "Dupont Pixel Systems Ltd." } ,
	{ 0x1116, "Data Trans.", "Data Translation" } ,
	{ 0x1117, "Datacube", "Datacube Inc." } ,
	{ 0x1118, "Berg", "Berg Electronics" } ,
	{ 0x1119, "Vortex", "Vortex Computersysteme GmbH" } ,
	{ 0x111A, "Eff. Net.", "Efficent Networks" } ,
	{ 0x111B, "Teledyne", "Teledyne Electronic Systems" } ,
	{ 0x111C, "Tricord", "Tricord Systems Inc." } ,
	{ 0x111D, "IDT", "Integrated Device Technology Inc." } ,
	{ 0x111E, "Eldec", "Eldec Corp." } ,
	{ 0x111F, "PDI", "Precision Digital Images" } ,
	{ 0x1120, "EMC", "EMC Corp." } ,
	{ 0x1121, "Zilog", "Zilog" } ,
	{ 0x1122, "Multi-Tech", "Multi-Tech Systems Inc." } ,
	{ 0x1123, "EDI", "Excellent Design Inc." } ,
	{ 0x1124, "Leutron", "Leutron Vision AG" } ,
	{ 0x1125, "Eurocore", "Eurocore/Vigra" } ,
	{ 0x1126, "Vigra", "Vigra" } ,
	{ 0x1127, "FORE", "FORE Systems" } ,
	{ 0x1129, "Firmworks", "Firmworks" } ,
	{ 0x112A, "Hermes", "Hermes Electronics Co. Ltd." } ,
	{ 0x112B, "Linotype", "Linotype - Hell AG" } ,
	{ 0x112C, "Zenith", "Zenith Data Systems" } ,
	{ 0x112D, "Ravicad", "Ravicad" } ,
	{ 0x112E, "Infomedia", "Infomedia" } ,
	{ 0x112F, "ImagTech", "Imaging Technology" } ,
	{ 0x1130, "Computervision", "Computervision" } ,
	{ 0x1131, "Philips", "Philips Semiconductors" } ,
	{ 0x1132, "Mitel", "Mitel Corp." } ,
	{ 0x1133, "EIC", "Eicon Technology Corporation" } ,
	{ 0x1134, "MCS", "Mercury Computer Systems Inc." } ,
	{ 0x1135, "Fuji", "Fuji Xerox Co Ltd" } ,
	{ 0x1136, "Momentum", "Momentum Data Systems" } ,
	{ 0x1137, "Cisco", "Cisco Systems Inc" } ,
	{ 0x1138, "Ziatech", "Ziatech Corporation" } ,
	{ 0x1139, "Dyn. Pict.", "Dynamic Pictures Inc" } ,
	{ 0x113A, "FWB", "FWB  Inc" } ,
	{ 0x113B, "NCD", "Network Computing Devices" } ,
	{ 0x113C, "Cyclone", "Cyclone Microsystems" } ,
	{ 0x113D, "Leading Edge", "Leading Edge Products Inc" } ,
	{ 0x113E, "Sanyo", "Sanyo Electric Co" } ,
	{ 0x113F, "Equinox", "Equinox Systems" } ,
	{ 0x1140, "Intervoice", "Intervoice Inc" } ,
	{ 0x1141, "Crest", "Crest Microsystem Inc" } ,
	{ 0x1142, "Alliance", "Alliance Semiconductor CA - USA" } ,
	{ 0x1143, "Netpower", "Netpower Inc" } ,
	{ 0x1144, "Cinn. Mil.", "Cincinnati Milacron" } ,
	{ 0x1145, "Workbit", "Workbit Corp" } ,
	{ 0x1146, "Force", "Force Computers" } ,
	{ 0x1147, "Interface", "Interface Corp" } ,
	{ 0x1148, "S&K", "Schneider & Koch" } ,
	{ 0x1149, "Win System", "Win System Corporation" } ,
	{ 0x114A, "VMIC", "VMIC" } ,
	{ 0x114B, "Canopus", "Canopus Co. Ltd" } ,
	{ 0x114C, "Annabooks", "Annabooks" } ,
	{ 0x114D, "IC Corp.", "IC Corporation" } ,
	{ 0x114E, "Nikon", "Nikon Systems Inc" } ,
	{ 0x114F, "Stargate", "Stargate" } ,
	{ 0x1150, "TMC", "Thinking Machines Corporation" } ,
	{ 0x1151, "JAE", "JAE Electronics Inc." } ,
	{ 0x1152, "Megatek", "Megatek" } ,
	{ 0x1153, "Land Win", "Land Win Electronic Corp" } ,
	{ 0x1154, "Melco", "Melco Inc" } ,
	{ 0x1155, "Pine", "Pine Technology Ltd" } ,
	{ 0x1156, "Periscope", "Periscope Engineering" } ,
	{ 0x1157, "Avsys", "Avsys Corporation" } ,
	{ 0x1158, "Voarx", "Voarx R&D Inc" } ,
	{ 0x1159, "Mutech", "Mutech" } ,
	{ 0x115A, "Harlequin", "Harlequin Ltd" } ,
	{ 0x115B, "Parallax", "Parallax Graphics" } ,
	{ 0x115C, "Photron", "Photron Ltd." } ,
	{ 0x115D, "Xircom", "Xircom" } ,
	{ 0x115E, "Peer", "Peer Protocols Inc" } ,
	{ 0x115F, "Maxtor", "Maxtor Corporation" } ,
	{ 0x1160, "Megasoft", "Megasoft Inc" } ,
	{ 0x1161, "PFU", "PFU Ltd" } ,
	{ 0x1162, "OA Lab", "OA Laboratory Co Ltd" } ,
	{ 0x1163, "Rendition", "Rendition Inc" } ,
	{ 0x1164, "APT", "Advanced Peripherals Tech" } ,
	{ 0x1165, "Imagraph", "Imagraph Corporation" } ,
	{ 0x1166, "Pequr", "Pequr Technology Inc." } ,
	{ 0x1167, "Mutoh", "Mutoh Industries Inc" } ,
	{ 0x1168, "Thine", "Thine Electronics Inc" } ,
	{ 0x1169, "CDAC", "Centre f/Dev. of Adv. Computing" } ,
	{ 0x116A, "Polaris", "Polaris Communications" } ,
	{ 0x116B, "Connectware", "Connectware Inc" } ,
	{ 0x116C, "Int Res.", "Intelligent Resources" } ,
	{ 0x116E, "EFI", "Electronics for Imaging" } ,
	{ 0x116F, "WkSta. Tech.", "Workstation Technology" } ,
	{ 0x1170, "Inventec", "Inventec Corporation" } ,
	{ 0x1171, "Lough. Sound", "Loughborough Sound Images" } ,
	{ 0x1172, "Altera", "Altera Corporation" } ,
	{ 0x1173, "Adobe", "Adobe Systems" } ,
	{ 0x1174, "Bridgeport", "Bridgeport Machines" } ,
	{ 0x1175, "Mitron", "Mitron Computer Inc." } ,
	{ 0x1176, "SBE", "SBE" } ,
	{ 0x1177, "Silicon Eng.", "Silicon Engineering" } ,
	{ 0x1178, "Alfa", "Alfa Inc" } ,
	{ 0x1179, "Toshiba", "Toshiba America Info Systems" } ,
	{ 0x117A, "A-Trend", "A-Trend Technology" } ,
	{ 0x117B, "LG Elec.", "LG Electronics Inc." } ,
	{ 0x117C, "Atto", "Atto Technology" } ,
	{ 0x117D, "B&D", "Becton & Dickinson" } ,
	{ 0x117E, "T/R", "T/R Systems" } ,
	{ 0x117F, "ICS", "Integrated Circuit Systems" } ,
	{ 0x1180, "Ricoh", "Ricoh Co Ltd" } ,
	{ 0x1181, "Telmatics", "Telmatics International" } ,
	{ 0x1183, "Fujikura", "Fujikura Ltd" } ,
	{ 0x1184, "Forks", "Forks Inc" } ,
	{ 0x1185, "Dataworld", "Dataworld" } ,
	{ 0x1186, "D-Link", "D-Link System Inc" } ,
	{ 0x1187, "ATL", "Advanced Technology Laboratories" } ,
	{ 0x1188, "Shima", "Shima Seiki Manufacturing Ltd." } ,
	{ 0x1189, "Matsushita", "Matsushita Electronics" } ,
	{ 0x118A, "Hilevel", "Hilevel Technology" } ,
	{ 0x118B, "Hypertec", "Hypertec Pty Ltd" } ,
	{ 0x118C, "Corollary", "Corollary Inc" } ,
	{ 0x118D, "BitFlow", "BitFlow Inc" } ,
	{ 0x118E, "Hermstedt", "Hermstedt GmbH" } ,
	{ 0x118F, "Green", "Green Logic" } ,
	{ 0x1191, "Artop", "Artop Electric" } ,
	{ 0x1192, "Densan", "Densan Co. Ltd" } ,
	{ 0x1193, "Zeitnet", "Zeitnet Inc." } ,
	{ 0x1194, "Toucan", "Toucan Technology" } ,
	{ 0x1195, "Ratoc", "Ratoc System Inc" } ,
	{ 0x1196, "Hytec", "Hytec Electronics Ltd" } ,
	{ 0x1197, "Gage", "Gage Applied Sciences Inc." } ,
	{ 0x1198, "Lambda", "Lambda Systems Inc" } ,
	{ 0x1199, "Attachmate", "Attachmate Corp." } ,
	{ 0x119A, "Mind Share", "Mind Share Inc." } ,
	{ 0x119B, "Omega", "Omega Micro Inc." } ,
	{ 0x119C, "ITI", "Information Technology Inst." } ,
	{ 0x119D, "Bug", "Bug Sapporo Japan" } ,
	{ 0x119E, "Fujitsu", "Fujitsu" } ,
	{ 0x119F, "Bull", "Bull Hn Information Systems" } ,
	{ 0x11A0, "Convex", "Convex Computer Corporation" } ,
	{ 0x11A1, "Hamamatsu", "Hamamatsu Photonics K.K." } ,
	{ 0x11A2, "Sierra", "Sierra Research and Technology" } ,
	{ 0x11A3, "Deuretzbacher", "Deuretzbacher GmbH & Co. Eng. KG" } ,
	{ 0x11A4, "Barco", "Barco" } ,
	{ 0x11A5, "MicroUnity", "MicroUnity Systems Engineering Inc." } ,
	{ 0x11A6, "Pure Data", "Pure Data" } ,
	{ 0x11A7, "Power Comp.", "Power Computing Corp." } ,
	{ 0x11A8, "Systech", "Systech Corp." } ,
	{ 0x11A9, "InnoSys", "InnoSys Inc." } ,
	{ 0x11AA, "Actel", "Actel" } ,
	{ 0x11AB, "Galileo", "Galileo Technology Ltd." } ,
	{ 0x11AC, "Canon", "Canon Information Systems" } ,
	{ 0x11AD, "Lite-On", "Lite-On Communications Inc" } ,
	{ 0x11AE, "Scitex", "Scitex Corporation Ltd" } ,
	{ 0x11AF, "Avid", "Avid Technology Inc." } ,
	{ 0x11B0, "V3", "V3 Semiconductor Inc." } ,
	{ 0x11B1, "Apricot", "Apricot Computers" } ,
	{ 0x11B2, "Kodak", "Eastman Kodak" } ,
	{ 0x11B3, "Barr", "Barr Systems Inc." } ,
	{ 0x11B4, "Leitch", "Leitch Technology International" } ,
	{ 0x11B5, "Radstone", "Radstone Technology Plc" } ,
	{ 0x11B6, "United Video", "United Video Corp" } ,
	{ 0x11B7, "Motorola", "Motorola" } ,
	{ 0x11B8, "Xpoint", "Xpoint Technologies Inc" } ,
	{ 0x11B9, "Pathlight", "Pathlight Technology Inc." } ,
	{ 0x11BA, "Videotron", "Videotron Corp" } ,
	{ 0x11BB, "Pyramid", "Pyramid Technology" } ,
	{ 0x11BC, "Net. Periph.", "Network Peripherals Inc" } ,
	{ 0x11BD, "Pinnacle", "Pinnacle Systems Inc." } ,
	{ 0x11BE, "IMI", "International Microcircuits Inc" } ,
	{ 0x11BF, "Astrodesign", "Astrodesign Inc." } ,
	{ 0x11C0, "H-P", "Hewlett-Packard" } ,
	{ 0x11C1, "AT&T", "AT&T Microelectronics" } ,
	{ 0x11C2, "Sand", "Sand Microelectronics" } ,
	{ 0x11C3, "NEC", "NEC Corporation" } ,
	{ 0x11C4, "Doc. Tech.", "Document Technologies Ind." } ,
	{ 0x11C5, "Shiva", "Shiva Corporatin" } ,
	{ 0x11C6, "Dainippon", "Dainippon Screen Mfg. Co" } ,
	{ 0x11C7, "D.C.M.", "D.C.M. Data Systems" } ,
	{ 0x11C8, "Dolphin", "Dolphin Interconnect Solutions" } ,
	{ 0x11C9, "MAGMA", "MAGMA" } ,
	{ 0x11CA, "LSI Sys.", "LSI Systems Inc" } ,
	{ 0x11CB, "Specialix", "Specialix International Ltd." } ,
	{ 0x11CC, "M&K", "Michels & Kleberhoff Computer GmbH" } ,
	{ 0x11CD, "HAL", "HAL Computer Systems Inc." } ,
	{ 0x11CE, "PRI", "Primary Rate Inc" } ,
	{ 0x11CF, "PEC", "Pioneer Electronic Corporation" } ,
	{ 0x11D0, "Loral", "Loral Frederal Systems - Manassas" } ,
	{ 0x11D1, "AuraVision", "AuraVision Corporation" } ,
	{ 0x11D2, "Intercom", "Intercom Inc." } ,
	{ 0x11D3, "Trancell", "Trancell Systems Inc" } ,
	{ 0x11D4, "AD", "Analog Devices" } ,
	{ 0x11D5, "Ikon", "Ikon Corp" } ,
	{ 0x11D6, "Tekelec", "Tekelec Technologies" } ,
	{ 0x11D7, "Trenton", "Trenton Terminals Inc" } ,
	{ 0x11D8, "ITD", "Image Technologies Development" } ,
	{ 0x11D9, "Tec", "Tec Corporation" } ,
	{ 0x11DA, "Novell", "Novell" } ,
	{ 0x11DB, "Sega", "Sega Enterprises Ltd" } ,
	{ 0x11DC, "Questra", "Questra Corp" } ,
	{ 0x11DD, "Crosfield", "Crosfield Electronics Ltd" } ,
	{ 0x11DE, "Zoran", "Zoran Corporation" } ,
	{ 0x11DF, "New Wave", "New Wave Pdg" } ,
	{ 0x11E0, "Cray", "Cray Communications A/S" } ,
	{ 0x11E1, "Gec Plessey", "Gec Plessey Semi Inc" } ,
	{ 0x11E2, "Samsung", "Samsung Information Systems America" } ,
	{ 0x11E3, "Quicklogic", "Quicklogic Corp" } ,
	{ 0x11E4, "Second Wave", "Second Wave Inc" } ,
	{ 0x11E5, "IIX", "IIX Consulting" } ,
	{ 0x11E6, "Mitsui", "Mitsui-Zosen System Research" } ,
	{ 0x11E7, "Toshiba", "Toshiba America Elec. Co" } ,
	{ 0x11E8, "DPSI", "Digital Processing Systems Inc" } ,
	{ 0x11E9, "Highwater", "Highwater Designs Ltd" } ,
	{ 0x11EA, "Elsag", "Elsag Bailey" } ,
	{ 0x11EB, "Formation", "Formation Inc" } ,
	{ 0x11EC, "Coreco", "Coreco Inc" } ,
	{ 0x11ED, "Mediamatics", "Mediamatics" } ,
	{ 0x11EE, "Dome", "Dome Imaging Systems Inc" } ,
	{ 0x11EF, "Nicolet", "Nicolet Technologies BV" } ,
	{ 0x11F0, "Compu-Shack", "Compu-Shack GmbH" } ,
	{ 0x11F1, "Symbios", "Symbios Logic Inc" } ,
	{ 0x11F2, "Pic-Tel", "Picture Tel Japan KK" } ,
	{ 0x11F3, "Keithley", "Keithley Metrabyte" } ,
	{ 0x11F4, "Kinetic", "Kinetic Systems Corporation" } ,
	{ 0x11F5, "Comp Dev", "Computing Devices Intl" } ,
	{ 0x11F6, "Powermatic", "Powermatic Data Systems Ltd" } ,
	{ 0x11F7, "S-A", "Scientific Atlanta" } ,
	{ 0x11F8, "PMC-Sierra", "PMC-Sierra Inc." } ,
	{ 0x11F9, "I-Cube", "I-Cube Inc" } ,
	{ 0x11FA, "Kasan", "Kasan Electronics Co Ltd" } ,
	{ 0x11FB, "Datel", "Datel Inc" } ,
	{ 0x11FC, "Silicon Magic", "Silicon Magic" } ,
	{ 0x11FD, "High Street", "High Street Consultants" } ,
	{ 0x11FE, "Comtrol", "Comtrol Corp" } ,
	{ 0x11FF, "Scion", "Scion Corp" } ,
	{ 0x1200, "CSS", "CSS Corp" } ,
	{ 0x1201, "Vista", "Vista Controls Corp" } ,
	{ 0x1202, "Network Gen", "Network General Corp" } ,
	{ 0x1203, "Agfa", "Bayer Corporation Agfa Div" } ,
	{ 0x1204, "Lattice", "Lattice Semiconductor Corp" } ,
	{ 0x1205, "Array", "Array Corp" } ,
	{ 0x1206, "Amdahl", "Amdahl Corp" } ,
	{ 0x1208, "Parsytec", "Parsytec GmbH" } ,
	{ 0x1209, "Sci Sys", "Sci Systems Inc" } ,
	{ 0x120A, "Synaptel", "Synaptel" } ,
	{ 0x120B, "Adaptive", "Adaptive Solutions" } ,
	{ 0x120D, "Comp Labs", "Compression Labs Inc." } ,
	{ 0x120E, "Cyclades", "Cyclades Corporation" } ,
	{ 0x120F, "Essential", "Essential Communications" } ,
	{ 0x1210, "Hyperparallel", "Hyperparallel Technologies" } ,
	{ 0x1211, "Braintech", "Braintech Inc" } ,
	{ 0x1212, "Kingston", "Kingston Technology Corp" } ,
	{ 0x1213, "AISI", "Applied Intelligent Systems Inc" } ,
	{ 0x1214, "Perf Tech", "Performance Technologies Inc" } ,
	{ 0x1215, "Interware", "Interware Co Ltd" } ,
	{ 0x1216, "Purup", "Purup Prepress A/S" } ,
	{ 0x1217, "O2Micro", "O2Micro Inc" } ,
	{ 0x1218, "Hybricon", "Hybricon Corp" } ,
	{ 0x1219, "First Virtual", "First Virtual Corp" } ,
	{ 0x121A, "3dfx", "3dfx Interactive Inc" } ,
	{ 0x121B, "ATM", "Advanced Telecommunications Modules" } ,
	{ 0x121C, "Nippon Texa", "Nippon Texa Co Ltd" } ,
	{ 0x121D, "Lippert", "Lippert Automationstechnik GmbH" } ,
	{ 0x121E, "CSPI", "CSPI" } ,
	{ 0x121F, "Arcus", "Arcus Technology Inc" } ,
	{ 0x1220, "Ariel", "Ariel Corporation" } ,
	{ 0x1221, "Contec", "Contec Co Ltd" } ,
	{ 0x1222, "Ancor", "Ancor Communications Inc" } ,
	{ 0x1223, "Heurikon", "Heurikon/Computer Products" } ,
	{ 0x1224, "Int. Img.", "Interactive Images" } ,
	{ 0x1225, "Power IO", "Power I/O Inc." } ,
	{ 0x1227, "Tech-Source", "Tech-Source" } ,
	{ 0x1228, "Norsk", "Norsk Elektro Optikk A/S" } ,
	{ 0x1229, "Data Kin", "Data Kinesis Inc." } ,
	{ 0x122A, "Int. Telecom", "Integrated Telecom" } ,
	{ 0x122B, "LG Ind.", "LG Industrial Systems Co. Ltd." } ,
	{ 0x122C, "Sican", "Sican GmbH" } ,
	{ 0x122D, "Aztech", "Aztech System Ltd" } ,
	{ 0x122E, "Xyratex", "Xyratex" } ,
	{ 0x122F, "Andrew", "Andrew Corp." } ,
	{ 0x1230, "Fishcamp", "Fishcamp Engineering" } ,
	{ 0x1231, "W McCoach", "Woodward McCoach Inc." } ,
	{ 0x1232, "GPT", "GPT Ltd." } ,
	{ 0x1233, "Bus-Tech", "Bus-Tech Inc." } ,
	{ 0x1234, "Technical", "Technical Corp" } ,
	{ 0x1235, "Risq Mod", "Risq Modular Systems Inc." } ,
	{ 0x1236, "Sigma", "Sigma Designs Corp." } ,
	{ 0x1237, "Alta Tech", "Alta Technology Corp." } ,
	{ 0x1238, "Adtran", "Adtran" } ,
	{ 0x1239, "3DO", "The 3DO Company" } ,
	{ 0x123A, "Visicom", "Visicom Laboratories Inc." } ,
	{ 0x123B, "Seeq", "Seeq Technology Inc." } ,
	{ 0x123C, "Century Sys", "Century Systems Inc." } ,
	{ 0x123D, "EDT", "Engineering Design Team Inc." } ,
	{ 0x123F, "C-Cube", "C-Cube Microsystems" } ,
	{ 0x1240, "Marathon", "Marathon Technologies Corp." } ,
	{ 0x1241, "DSC", "DSC Communications" } ,
	{ 0x1243, "Delphax", "Delphax" } ,
	{ 0x1244, "AVM", "AVM" } ,
	{ 0x1245, "APD", "APD S.A." } ,
	{ 0x1246, "Dipix", "Dipix Technologies Inc" } ,
	{ 0x1247, "Xylon", "Xylon Research Inc." } ,
	{ 0x1248, "Central Data", "Central Data Corp." } ,
	{ 0x1249, "Samsung", "Samsung Electronics Co. Ltd." } ,
	{ 0x124A, "AEG", "AEG Electrocom GmbH" } ,
	{ 0x124B, "GreenSpring", "GreenSpring Computers" } ,
	{ 0x124C, "Solitron", "Solitron Technologies Inc." } ,
	{ 0x124D, "Stallion", "Stallion Technologies" } ,
	{ 0x124E, "Cylink", "Cylink" } ,
	{ 0x124F, "Infortrend", "Infortrend Technology Inc" } ,
	{ 0x1250, "Hitachi", "Hitachi Microcomputer System Ltd." } ,
	{ 0x1251, "VLSI Sol.", "VLSI Solution OY" } ,
	{ 0x1253, "Guzik", "Guzik Technical Enterprises" } ,
	{ 0x1254, "Linear Systems", "Linear Systems Ltd." } ,
	{ 0x1255, "Optibase", "Optibase Ltd." } ,
	{ 0x1256, "Perceptive", "Perceptive Solutions Inc." } ,
	{ 0x1257, "Vertex", "Vertex Networks Inc." } ,
	{ 0x1258, "Gilbarco", "Gilbarco Inc." } ,
	{ 0x1259, "Allied Tsyn", "Allied Telesyn International" } ,
	{ 0x125A, "ABB Pwr", "ABB Power Systems" } ,
	{ 0x125B, "Asix", "Asix Electronics Corp." } ,
	{ 0x125C, "Aurora", "Aurora Technologies Inc." } ,
	{ 0x125D, "ESS", "ESS Technology" } ,
	{ 0x125E, "Specvideo", "Specialvideo Engineering SRL" } ,
	{ 0x125F, "Concurrent", "Concurrent Technologies Inc." } ,
	{ 0x1260, "Harris", "Harris Semiconductor" } ,
	{ 0x1261, "Matsushita", "Matsushita-Kotobuki Electronics Indu" } ,
	{ 0x1262, "ES Comp.", "ES Computer Co. Ltd." } ,
	{ 0x1263, "Sonic Sol.", "Sonic Solutions" } ,
	{ 0x1264, "Aval Nag.", "Aval Nagasaki Corp." } ,
	{ 0x1265, "Casio", "Casio Computer Co. Ltd." } ,
	{ 0x1266, "Microdyne", "Microdyne Corp." } ,
	{ 0x1267, "SA Telecom", "S.A. Telecommunications" } ,
	{ 0x1268, "Tektronix", "Tektronix" } ,
	{ 0x1269, "Thomson-CSF", "Thomson-CSF/TTM" } ,
	{ 0x126A, "Lexmark", "Lexmark International Inc." } ,
	{ 0x126B, "Adax", "Adax Inc." } ,
	{ 0x126C, "NorTel", "Northern Telecom" } ,
	{ 0x126D, "Splash", "Splash Technology Inc." } ,
	{ 0x126E, "Sumitomo", "Sumitomo Metal Industries Ltd." } ,
	{ 0x126F, "Sil Motion", "Silicon Motion" } ,
	{ 0x1270, "Olympus", "Olympus Optical Co. Ltd." } ,
	{ 0x1271, "GW Instr.", "GW Instruments" } ,
	{ 0x1272, "Telematics", "Telematics International" } ,
	{ 0x1273, "Hughes", "Hughes Network Systems" } ,
	{ 0x1274, "Ensoniq", "Ensoniq" } ,
	{ 0x1275, "NetApp", "Network Appliance" } ,
	{ 0x1276, "Sw Net Tech", "Switched Network Technologies Inc." } ,
	{ 0x1277, "Comstream", "Comstream" } ,
	{ 0x1278, "Transtech", "Transtech Parallel Systems" } ,
	{ 0x1279, "Transmeta", "Transmeta Corp." } ,
	{ 0x127A, "Rockwell Semi", "Rockwell Semiconductor Systems" } ,
	{ 0x127B, "Pixera", "Pixera Corp" } ,
	{ 0x127C, "Crosspoint", "Crosspoint Solutions Inc." } ,
	{ 0x127D, "Vela Res", "Vela Research" } ,
	{ 0x127E, "Winnow", "Winnov L.P." } ,
	{ 0x127F, "Fujifilm", "Fujifilm" } ,
	{ 0x1280, "Photoscript", "Photoscript Group Ltd." } ,
	{ 0x1281, "Yokogawa", "Yokogawa Electronic Corp." } ,
	{ 0x1282, "Davicom", "Davicom Semiconductor Inc." } ,
	{ 0x1283, "ITExpress", "Integrated Technology Express Inc." } ,
	{ 0x1284, "Sahara", "Sahara Networks Inc." } ,
	{ 0x1285, "Plat Tech", "Platform Technologies Inc." } ,
	{ 0x1286, "Mazet", "Mazet GmbH" } ,
	{ 0x1287, "LuxSonor", "LuxSonor Inc." } ,
	{ 0x1288, "Timestep", "Timestep Corp." } ,
	{ 0x1289, "AVC Tech", "AVC Technology Inc." } ,
	{ 0x128A, "Asante", "Asante Technologies Inc." } ,
	{ 0x128B, "Transwitch", "Transwitch Corp." } ,
	{ 0x128C, "Retix", "Retix Corp." } ,
	{ 0x128D, "G2 Net", "G2 Networks Inc." } ,
	{ 0x128E, "Samho", "Samho Multi Tech Ltd." } ,
	{ 0x128F, "Tateno", "Tateno Dennou Inc." } ,
	{ 0x1290, "Sord", "Sord Computer Corp." } ,
	{ 0x1291, "NCS Comp", "NCS Computer Italia" } ,
	{ 0x1292, "Tritech", "Tritech Microelectronics Intl PTE" } ,
	{ 0x1293, "M Reality", "Media Reality Technology" } ,
	{ 0x1294, "Rhetorex", "Rhetorex Inc." } ,
	{ 0x1295, "Imagenation", "Imagenation Corp." } ,
	{ 0x1296, "Kofax", "Kofax Image Products" } ,
	{ 0x1297, "Holco", "Holco Enterprise" } ,
	{ 0x1298, "Spellcaster", "Spellcaster Telecommunications Inc." } ,
	{ 0x1299, "Know Tech", "Knowledge Technology Laboratories" } ,
	{ 0x129A, "VMETRO", "VMETRO" } ,
	{ 0x129B, "Img Access", "Image Access" } ,
	{ 0x129D, "CompCore", "CompCore Multimedia Inc." } ,
	{ 0x129E, "Victor Jpn", "Victor Co. of Japan Ltd." } ,
	{ 0x129F, "OEC Med", "OEC Medical Systems Inc." } ,
	{ 0x12A0, "A-B", "Allen Bradley Co." } ,
	{ 0x12A1, "Simpact", "Simpact Inc" } ,
	{ 0x12A2, "NewGen", "NewGen Systems Corp." } ,
	{ 0x12A3, "Lucent", "Lucent Technologies" } ,
	{ 0x12A4, "NTT Elect", "NTT Electronics Technology Co." } ,
	{ 0x12A5, "Vision Dyn", "Vision Dynamics Ltd." } ,
	{ 0x12A6, "Scalable", "Scalable Networks Inc." } ,
	{ 0x12A7, "AMO", "AMO GmbH" } ,
	{ 0x12A8, "News Datacom", "News Datacom" } ,
	{ 0x12A9, "Xiotech", "Xiotech Corp." } ,
	{ 0x12AA, "SDL", "SDL Communications Inc." } ,
	{ 0x12AB, "Yuan Yuan", "Yuan Yuan Enterprise Co. Ltd." } ,
	{ 0x12AC, "MeasureX", "MeasureX Corp." } ,
	{ 0x12AD, "Multidata", "Multidata GmbH" } ,
	{ 0x12AE, "Alteon", "Alteon Networks Inc." } ,
	{ 0x12AF, "TDK USA", "TDK USA Corp." } ,
	{ 0x12B0, "Jorge Sci", "Jorge Scientific Corp." } ,
	{ 0x12B1, "GammaLink", "GammaLink" } ,
	{ 0x12B2, "Gen Signal", "General Signal Networks" } ,
	{ 0x12B3, "Inter-Face", "Inter-Face Co. Ltd." } ,
	{ 0x12B4, "Future Tel", "Future Tel Inc." } ,
	{ 0x12B5, "Granite", "Granite Systems Inc." } ,
	{ 0x12B6, "Nat Micro", "Natural Microsystems" } ,
	{ 0x12B7, "Acumen", "Acumen" } ,
	{ 0x12B8, "Korg", "Korg" } ,
	{ 0x12B9, "US Robotics", "US Robotics" } ,
	{ 0x12BA, "Bittware", "Bittware Research Systems Inc" } ,
	{ 0x12BB, "Nippon Uni", "Nippon Unisoft Corp." } ,
	{ 0x12BC, "Array Micro", "Array Microsystems" } ,
	{ 0x12BD, "Computerm", "Computerm Corp." } ,
	{ 0x12BE, "Anchor Chips", "Anchor Chips Inc." } ,
	{ 0x12BF, "Fujifilm", "Fujifilm Microdevices" } ,
	{ 0x12C0, "Infimed", "Infimed" } ,
	{ 0x12C1, "GMM Res", "GMM Research Corp." } ,
	{ 0x12C2, "Mentec", "Mentec Ltd." } ,
	{ 0x12C3, "Holtek", "Holtek Microelectronics Inc." } ,
	{ 0x12C4, "Conn Tech", "Connect Tech Inc." } ,
	{ 0x12C5, "PicturEl", "Picture Elements Inc." } ,
	{ 0x12C6, "Mitani", "Mitani Corp." } ,
	{ 0x12C7, "Dialogic", "Dialogic Corp." } ,
	{ 0x12C8, "G Force", "G Force Co. Ltd." } ,
	{ 0x12C9, "Gigi Ops", "Gigi Operations" } ,
	{ 0x12CA, "ICE", "Integrated Computing Engines, Inc." } ,
	{ 0x12CB, "Antex", "Antex Electronics Corp." } ,
	{ 0x12CC, "Pluto", "Pluto Technologies International" } ,
	{ 0x12CD, "Aims Lab", "Aims Lab" } ,
	{ 0x12CE, "Netspeed", "Netspeed Inc." } ,
	{ 0x12CF, "Prophet", "Prophet Systems Inc." } ,
	{ 0x12D0, "GDE Sys", "GDE Systems Inc." } ,
	{ 0x12D1, "PsiTech", "PsiTech" } ,
	{ 0x12D2, "NVidia", "NVidia / SGS Thomson" } ,
	{ 0x12D3, "Vingmed", "Vingmed Sound A/S" } ,
	{ 0x12D4, "DGM&S", "DGM & S" } ,
	{ 0x12D5, "Equator", "Equator Technologies" } ,
	{ 0x12D6, "Analogic", "Analogic Corp." } ,
	{ 0x12D7, "Biotronic", "Biotronic SRL" } ,
	{ 0x12D8, "Pericom", "Pericom Semiconductor" } ,
	{ 0x12D9, "Aculab", "Aculab Plc." } ,
	{ 0x12DA, "True Time", "True Time" } ,
	{ 0x12DB, "Annapolis", "Annapolis Micro Systems Inc." } ,
	{ 0x12DC, "Symicron", "Symicron Computer Communication Ltd." } ,
	{ 0x12DD, "MGI", "Management Graphics Inc." } ,
	{ 0x12DE, "Rainbow", "Rainbow Technologies" } ,
	{ 0x12DF, "SBS Tech", "SBS Technologies Inc." } ,
	{ 0x12E0, "Chase", "Chase Research PLC" } ,
	{ 0x12E1, "Nintendo", "Nintendo Co. Ltd." } ,
	{ 0x12E2, "Datum", "Datum Inc. Bancomm-Timing Division" } ,
	{ 0x12E3, "Imation", "Imation Corp. - Medical Imaging Syst" } ,
	{ 0x12E4, "Brooktrout", "Brooktrout Technology Inc." } ,
	{ 0x12E6, "Cirel", "Cirel Systems" } ,
	{ 0x12E7, "Sebring", "Sebring Systems Inc" } ,
	{ 0x12E8, "CRISC", "CRISC Corp." } ,
	{ 0x12E9, "GE Spacenet", "GE Spacenet" } ,
	{ 0x12EA, "Zuken", "Zuken" } ,
	{ 0x12EB, "Aureal", "Aureal Semiconductor" } ,
	{ 0x12EC, "3A Intl", "3A International Inc." } ,
	{ 0x12ED, "Optivision", "Optivision Inc." } ,
	{ 0x12EE, "Orange Micro", "Orange Micro, Inc." } ,
	{ 0x12EF, "Vienna", "Vienna Systems" } ,
	{ 0x12F0, "Pentek", "Pentek" } ,
	{ 0x12F1, "Sorenson", "Sorenson Vision Inc." } ,
	{ 0x12F2, "Gammagraphx", "Gammagraphx Inc." } ,
	{ 0x12F4, "Megatel", "Megatel" } ,
	{ 0x12F5, "Forks", "Forks" } ,
	{ 0x12F6, "Dawson Fr", "Dawson France" } ,
	{ 0x12F7, "Cognex", "Cognex" } ,
	{ 0x12F8, "Electronic-Design", "Electronic-Design GmbH" } ,
	{ 0x12F9, "FFT", "FourFold Technologies" } ,
	{ 0x12FE, "ESD", "ESD Electronic System Design GmbH" } ,
	{ 0x1307, "ComputerBoards", "ComputerBoards" } ,
	{ 0x1318, "Packet Engines", "Packet Engines, Inc." } ,
	{ 0x1319, "Forte Media", "Forte Media, Inc." } ,
	{ 0x1331, "RadiSys", "RadiSys Corporation" } ,
	{ 0x1335, "Videomail", "Videomail Inc." } ,
	{ 0x1347, "Odetics", "Odetics" } ,
	{ 0x135D, "ABB Network Partn", "ABB Network Partner AB" } ,
	{ 0x137E, "PTSC", "Patriot Scientific Corp." } ,
	{ 0x1390, "CDI", "Concept Development Inc." } ,
	{ 0x13FA, "Pentland", "Pentland Systems Ltd." } ,
	{ 0x1402, "Meilhaus Electronic", "Meilhaus Electronic GmbH Germany" } ,
	{ 0x1406, "Oc", "Oc Printing Systems" } ,
	{ 0x144B, "Loronix", "Loronix Information Systems, Inc." } ,
	{ 0x1458, "Giga-Byte", "Giga-Byte Technologies" } ,
	{ 0x14D4, "PANACOM", "Panacom Technology Corporation" } ,
	{ 0x1500, "DELTA", "DELTA Electronics, Inc." } ,
	{ 0x1522, "MainPine", "MainPine Limited" } ,
	{ 0x1C1C, "Symphony", "Symphony" } ,
	{ 0x1DE1, "Tekram", "Tekram" } ,
	{ 0x270F, "ChainTech", "ChainTech Computer Co. Ltd." } ,
	{ 0x3000, "Hansol", "Hansol Electronics Inc." } ,
	{ 0x3142, "PostImpressions", "Post Impressions Systems" } ,
	{ 0x3D3D, "3DLabs", "3Dlabs, Inc. Ltd" } ,
	{ 0x4005, "Avance", "Avance Logic Inc." } ,
	{ 0x4033, "Addtron", "Addtron Technology Co., Inc." } ,
	{ 0x4143, "DEC", "Digital Equipment Corp." } ,
	{ 0x4594, "", "Cogetec Informatique Inc." } ,
	{ 0x4680, "UMAX Comp", "UMAX Computer Corp." } ,
	{ 0x4B10, "Buslogic", "Buslogic Inc" } ,
	{ 0x5333, "S3", "S3 Incorporated" } ,
	{ 0x5455, "TU-Berlin", "Technische Universtiaet Berlin" } ,
	{ 0x5519, "Cnet", "Cnet Technoliges, Inc." } ,
	{ 0x5700, "Netpower", "Netpower" } ,
	{ 0x6374, "C4T", "c't Magazin f_r Computertechnik" } ,
	{ 0x7BDE, "MIDAC", "MIDAC Corporation" } ,
	{ 0x8001, "BEYERTONE", "Beyertone AG - Germany" } ,
	{ 0x8008, "QUANCOM", "QUANCOM Informationssysteme GmbH" } ,
	{ 0x8086, "Intel", "Intel Corporation" } ,
	{ 0x8800, "Trigem", "Trigem Computer" } ,
	{ 0x8888, "Sil Magic", "Silicon Magic" } ,
	{ 0x8E0E, "Computone", "Computone Corporation" } ,
	{ 0x9004, "Adaptec", "Adaptec" } ,
	{ 0x9005, "Adaptec", "Adaptec" } ,
	{ 0x907F, "Atronics", "Atronics" } ,
	{ 0xC0FE, "Mot Engrg", "Motion Engineering Inc." } ,
	{ 0xD4D4, "DY4", "DY4 Systems Inc." } ,
	{ 0xE159, "Tiger Jet", "Tiger Jet Network Inc" } ,
	{ 0xEDD8, "ARC", "ARC Logic" } ,
	{ 0xFA57, "FAST", "Fast Search & Transfer ASA" } ,
	{ 0xFFFF, "BAD!", "ILLEGITIMATE VENDOR ID" } ,
} ;

// Use this value for loop control during searching:
#define	PCI_VENTABLE_LEN	(sizeof(PciVenTable)/sizeof(PCI_VENTABLE))

/** @brief PCI device table structure */
typedef struct _PCI_DEVTABLE
{
	/// Vendor ID
	unsigned short	VenId ;
	/// Device ID
	unsigned short	DevId ;
	/// Chipset name string
	char *	Chip ;
	/// Chipset description string
	char *	ChipDesc ;
}  PCI_DEVTABLE, *PPCI_DEVTABLE ;

static const PCI_DEVTABLE	PciDevTable [] =
{
	{ 0x0E11, 0x0002, "ISA Bridge", "" } ,
	{ 0x0E11, 0x1000, "", "Triflex/PCI CPU Bridge" } ,
	{ 0x0E11, 0x2000, "", "Triflex/PCI CPU Bridge" } ,
	{ 0x0E11, 0x3032, "QVision", "GUI Accelerator v0" } ,
	{ 0x0E11, 0x3033, "QVision", "GUI Accelerator v1" } ,
	{ 0x0E11, 0x3034, "QVision", "GUI Accelerator v2" } ,
	{ 0x0E11, 0x4000, "4000", "Triflex/PCI CPU Bridge" } ,
	{ 0x0E11, 0xAE32, "", "Netelligent 10/100 TX" } ,
	{ 0x0E11, 0xAE34, "", "Netelligent 10 T" } ,
	{ 0x0E11, 0xAE35, "", "Integrated NetFlex 3/P" } ,
	{ 0x0E11, 0xAE40, "", "Dual Port Netelligent 10/100 TX" } ,
	{ 0x0E11, 0xAE43, "", "ProLiant Integrated Netelligent 10/100 TX" } ,
	{ 0x0E11, 0xB011, "", "Dual Port Netelligent 10/100 TX" } ,
	{ 0x0E11, 0xF130, "", "NetFlex 3/P" } ,
	{ 0x0E11, 0xF150, "", "NetFlex 3/P w/ BNC" } ,
	{ 0x1000, 0x0001, "53C810", "Fast/Narrow SCSI I/O Cntrlr" } ,
	{ 0x1000, 0x0002, "53C820", "Fast-wide SCSI" } ,
	{ 0x1000, 0x0003, "53C825", "Fast-wide SCSI" } ,
	{ 0x1000, 0x0004, "53C815", "Fast SCSI" } ,
	{ 0x1000, 0x0005, "53C810AP", "Fast SCSI" } ,
	{ 0x1000, 0x0006, "53C860", "Ultra SCSI/Narrow" } ,
	{ 0x1000, 0x000B, "53C896", "dual-channel Ultra-2 Wide SCSI" } ,
	{ 0x1000, 0x000C, "SYM53C895", "Ultra-2 Wide SCSI" } ,
	{ 0x1000, 0x000D, "53C885", "Ultra Wide SCSI, Ethernet" } ,
	{ 0x1000, 0x000F, "53C875, 53C876", "Ultra-Wide SCSI (53C876 is dual-channel)" } ,
	{ 0x1000, 0x0012, "53C895A", "Ultra-2 Wide SCSI" } ,
	{ 0x1000, 0x008F, "53C875J", "Ultra Wide SCSI" } ,
	{ 0x1001, 0x0010, "ispLSI1032E", "PCI 1616, 16 TTL-IN, 16 TTL-OUT" } ,
	{ 0x1001, 0x0011, "ispLSI1032E", "OPTO-PCI, 16 IN / 16 OUT 24 VDC" } ,
	{ 0x1001, 0x0012, "ispLSI1032E", "PCI-AD, PCI-ADDA analog I/O-card" } ,
	{ 0x1001, 0x0013, "ispLSI1032E", "PCI-OptoRel, PCI-Relais 16 Relais & Opto" } ,
	{ 0x1001, 0x0014, "ispLSI1032E", "Timer, Pulse & Counter-card 16..32 bit" } ,
	{ 0x1001, 0x0015, "ispLSI1032E", "PCI-DAC416, 4 channel D/A16bit precision" } ,
	{ 0x1002, 0x4158, "68800", "Mach 32" } ,
	{ 0x1002, 0x4354, "215CT222", "" } ,
	{ 0x1002, 0x4358, "210888CX", "" } ,
	{ 0x1002, 0x4742, "", "3D Rage Pro" } ,
	{ 0x1002, 0x4749, "3D RAGE PRO 2X AGP", "ATI ALL IN WONDER PRO (8MB)" } ,
	{ 0x1002, 0x4750, "3D RAGE PRO", "Graphics Accelerator" } ,
	{ 0x1002, 0x4758, "210888GX", "Mach 64 (WinTurbo)" } ,
	{ 0x1002, 0x5246, "", "" } ,
	{ 0x1002, 0x5654, "215VT222", "VIDEO XPRESSION" } ,
	{ 0x1003, 0x0201, "US201", "Graphics Cntrlr" } ,
	{ 0x1004, 0x0005, "82C591", "CPU Bridge" } ,
	{ 0x1004, 0x0006, "82C593", "ISA Bridge" } ,
	{ 0x1004, 0x0007, "82C594", "Wildcat System Controller" } ,
	{ 0x1004, 0x0008, "82C596/597", "Wildcat ISA Bridge" } ,
	{ 0x1004, 0x000C, "82C541", "" } ,
	{ 0x1004, 0x000D, "82C543", "" } ,
	{ 0x1004, 0x0101, "82C532", "" } ,
	{ 0x1004, 0x0102, "82C534", "PCI to PCI Bridge" } ,
	{ 0x1004, 0x0104, "82C535", "Host Bridge" } ,
	{ 0x1004, 0x0105, "82C147", "" } ,
	{ 0x1004, 0x0200, "82C975", "RISC GUI Accelerator" } ,
	{ 0x1004, 0x0280, "82C925", "RISC GUI Accelerator" } ,
	{ 0x1005, 0x2301, "ALG2301", "GUI Accelerator" } ,
	{ 0x1005, 0x2302, "ALG2302", "GUI Accelerator" } ,
	{ 0x100B, 0x0001, "DP83810", "10/100 Ethernet MAC" } ,
	{ 0x100B, 0x0002, "PC87415", "PCI-IDE DMA Master Mode Interface Ctrlr" } ,
	{ 0x100B, 0xD001, "PC87410", "PCI-IDE Interface" } ,
	{ 0x100C, 0x3202, "ET4000W32P-A", "GUI Accelerator" } ,
	{ 0x100C, 0x3205, "ET4000W32P-B", "GUI Accelerator" } ,
	{ 0x100C, 0x3206, "ET4000W32P-C", "GUI Accelerator" } ,
	{ 0x100C, 0x3207, "ET4000W32P-D", "GUI Accelerator" } ,
	{ 0x100C, 0x3208, "ET6000", "Graphics/Multimedia Engine" } ,
	{ 0x100E, 0x9001, "P9000", "GUI Accelerator" } ,
	{ 0x100E, 0x9100, "P9100", "GUI Accelerator" } ,
	{ 0x1011, 0x0001, "DC21050", "PCI-PCI Bridge" } ,
	{ 0x1011, 0x0002, "DC21040", "Ethernet Ctrlr" } ,
	{ 0x1011, 0x0009, "DC21140", "Fast Ethernet Ctrlr" } ,
	{ 0x1011, 0x000F, "DEFPA", "FDDI" } ,
	{ 0x1011, 0x0014, "DC21041", "Ethernet Ctrlr" } ,
	{ 0x1011, 0x0016, "DGLPB", "ATM" } ,
	{ 0x1011, 0x0019, "DC21143", "PCI/CardBus 10/100 Mbit Ethernet Ctlr" } ,
	{ 0x1011, 0x0021, "21052", "PCI-PCI Bridge" } ,
	{ 0x1011, 0x0022, "21150", "PCI-PCI Bridge" } ,
	{ 0x1011, 0x0024, "21152", "PCI-PCI Bridge" } ,
	{ 0x1011, 0x0025, "21153", "PCI-PCI Bridge" } ,
	{ 0x1011, 0x0026, "21154", "PCI-PCI Bridge" } ,
	{ 0x1011, 0x0046, "21554", "PCI-to-PCI Bridge" } ,
	{ 0x1013, 0x0038, "CL-GD7548", "Video Controller" } ,
	{ 0x1013, 0x004C, "CL-GD7556", "64-bit Accelerated LCD/CRT Controller" } ,
	{ 0x1013, 0x00A0, "CL-GD5340", "GUI Accelerator" } ,
	{ 0x1013, 0x00A4, "GD 5434", "GUI Accelerator" } ,
	{ 0x1013, 0x00A8, "GD 5434-HC-B", "GUI Accelerator" } ,
	{ 0x1013, 0x00AC, "CL-GD5436", "" } ,
	{ 0x1013, 0x00B8, "GD5446", "Visual Media Accelerator (64bit)" } ,
	{ 0x1013, 0x00BC, "CL-GD5480", "64-bit SGRAM GUI accelerator" } ,
	{ 0x1013, 0x00D0, "CL-GD5462", "Laguna VisualMedia graphics accelerator" } ,
	{ 0x1013, 0x00D4, "CL-GD5464", "Laguna VisualMedia graphics accelerator" } ,
	{ 0x1013, 0x00D6, "GD-546x VGA", "laguna" } ,
	{ 0x1013, 0x1100, "CL 6729", "PCMCIA Bridge" } ,
	{ 0x1013, 0x1110, "6832", "PCMCIA/CardBus Controller" } ,
	{ 0x1013, 0x1200, "7542", "GUI Accelerator" } ,
	{ 0x1013, 0x1202, "7543", "GUI Accelerator" } ,
	{ 0x1013, 0x1204, "7541", "Nordic-lite VGA Cntrlr" } ,
	{ 0x1013, 0x6001, "CS4610", "CrystalClear SoundFusion PCI Audio Accel" } ,
	{ 0x1013, 0x6003, "CS4614", "CrystalClear SoundFusion PCI Audio Accel" } ,
	{ 0x1013, 0x6005, "CS4281", "CrystalClear PCI Audio Interface" } ,
	{ 0x1014, 0x0002, "MCA Bridge", "MCA Bridge" } ,
	{ 0x1014, 0x0005, "Alta Lite", "CPU Bridge" } ,
	{ 0x1014, 0x0007, "Alta MP", "CPU Bridge" } ,
	{ 0x1014, 0x000A, "ISA Bridge w/PnP", "ISA Bridge w/PnP" } ,
	{ 0x1014, 0x0017, "CPU Bridge", "CPU Bridge" } ,
	{ 0x1014, 0x0018, "Auto LANStreamer", "" } ,
	{ 0x1014, 0x001B, "GXT-150P", "Graphics Adapter" } ,
	{ 0x1014, 0x0020, "", "MCA Bridge" } ,
	{ 0x1014, 0x0022, "PCI-PCI BRIDGE", "PCI-PCI BRIDGE" } ,
	{ 0x1014, 0x002E, "RAID SCSI", "RAID SCSI device" } ,
	{ 0x1014, 0x0036, "Miami/PCI", "32-bit LocalBus Bridge" } ,
	{ 0x1014, 0x003E, "85H9533", "Token Ring Card" } ,
	{ 0x1014, 0x0053, "", "25 MBit ATM controller" } ,
	{ 0x1014, 0x005D, "05J3506", "TCP/IP networking device" } ,
	{ 0x1014, 0x00CE, "02li537", "Adapter 2 Token Ring Card" } ,
	{ 0x101A, 0x0009, "Altera FLEX", "??? Raid Controller ???" } ,
	{ 0x101C, 0x0193, "WD33C193A", "8-bit SCSI Cntrlr" } ,
	{ 0x101C, 0x0196, "SCSI Bridge", "SCSI Bridge" } ,
	{ 0x101C, 0x0197, "WD33C197A", "16-bit SCSI Cntrlr" } ,
	{ 0x101C, 0x0296, "WD33C296A", "high perf 16-bit SCSI Cntrlr" } ,
	{ 0x101C, 0x3193, "WD7193", "Fast SCSI-II" } ,
	{ 0x101C, 0x3197, "WD7197", "Fast-wide SCSI-II" } ,
	{ 0x101C, 0x3296, "WD33C296A", "Fast Wide SCSI bridge" } ,
	{ 0x101C, 0x4296, "WD34C296", "Wide Fast-20 Bridge" } ,
	{ 0x101C, 0xC24A, "90C", "" } ,
	{ 0x101E, 0x9010, "MegaRAID", "Fast-wide SCSI/RAID" } ,
	{ 0x101E, 0x9030, "", "IDE Cntrlr" } ,
	{ 0x101E, 0x9031, "", "IDE Cntrlr" } ,
	{ 0x101E, 0x9032, "", "IDE and SCSI Cntrlr" } ,
	{ 0x101E, 0x9033, "", "SCSI Cntrlr" } ,
	{ 0x101E, 0x9040, "", "Multimedia card" } ,
	{ 0x1022, 0x2000, "79C970", "Ethernet Ctrlr" } ,
	{ 0x1022, 0x2020, "53C974", "SCSI Ctrlr" } ,
	{ 0x1022, 0x2040, "79C974", "Ethernet & SCSI Ctrlr" } ,
	{ 0x1023, 0x2000, "4DWAVE-DX", "advanced PCI DirectSound accelerator" } ,
	{ 0x1023, 0x9320, "", "32-bit GUI Accelerator" } ,
	{ 0x1023, 0x9350, "", "32-bit GUI Accelerator" } ,
	{ 0x1023, 0x9360, "", "Flat panel Cntrlr" } ,
	{ 0x1023, 0x9420, "9420", "VGA Ctrlr" } ,
	{ 0x1023, 0x9440, "tgui9440-3", "tgui9440-3" } ,
	{ 0x1023, 0x9460, "", "32-bit GUI Accelerator" } ,
	{ 0x1023, 0x9660, "9385", "Cyber 9385 Portable PC Video Controller (9660?)" } ,
	{ 0x1023, 0x9682, "", "Multimedia Accelerator" } ,
	{ 0x1023, 0x9750, "9750", "AGP-Chipset" } ,
	{ 0x1025, 0x1435, "M1435", "VL Bridge" } ,
	{ 0x1025, 0x1445, "M1445", "VL Bridge & EIDE" } ,
	{ 0x1025, 0x1449, "M1449", "ISA Bridge" } ,
	{ 0x1025, 0x1451, "M1451", "Pentium Chipset" } ,
	{ 0x1025, 0x1461, "M1461", "P54C Chipset" } ,
	{ 0x1025, 0x3141, "M3141", "GUI Accelerator" } ,
	{ 0x1025, 0x3143, "M3143", "GUI Accelerator" } ,
	{ 0x1025, 0x3145, "M3145", "GUI Accelerator" } ,
	{ 0x1025, 0x3147, "M3147", "GUI Accelerator" } ,
	{ 0x1025, 0x3149, "M3149", "GUI Accelerator" } ,
	{ 0x1025, 0x3151, "M3151", "GUI Accelerator" } ,
	{ 0x1025, 0x5215, "?", "EIDE Ctrlr" } ,
	{ 0x102A, 0x0000, "HYDRA", "P5 Chipset" } ,
	{ 0x102A, 0x0010, "ASPEN", "i486 Chipset" } ,
	{ 0x102B, 0x0518, "Atlas PX2085", "GUI Accelerator" } ,
	{ 0x102B, 0x0519, "MGA-2064", "Millenium GUI Accelerator" } ,
	{ 0x102B, 0x051A, "MGA 1064SG", "64-bit graphics chip" } ,
	{ 0x102B, 0x051B, "", "Millenium II" } ,
	{ 0x102B, 0x051F, "MGA2164WA-B", "Matrox Millenium II AGP" } ,
	{ 0x102B, 0x0521, "MGA-G200", "Millennium/Mystique G200 AGP" } ,
	{ 0x102B, 0x0D10, "Impression", "Impression GUI accelerator" } ,
	{ 0x102C, 0x00B8, "64310", "GUI Accelerator" } ,
	{ 0x102C, 0x00C0, "69000", "Video Accelerator with Integrated Memory" } ,
	{ 0x102C, 0x00D0, "65545", "Flat panel/crt VGA Cntrlr" } ,
	{ 0x102C, 0x00D8, "65540", "Flat Panel/CRT VGA Controller" } ,
	{ 0x102C, 0x00DC, "65548", "GUI Accelerator" } ,
	{ 0x102C, 0x00E0, "65550", "LCD/CRT controller" } ,
	{ 0x102C, 0x00E4, "65554", "Flat Panel/LCD CRT GUI Accelerator" } ,
	{ 0x102C, 0x00E5, "65555", "VGA GUI Accelerator" } ,
	{ 0x102C, 0x00F4, "68554", "HiQVision Flat Panel/CRT GUI Controller" } ,
	{ 0x102F, 0x0009, "", "r4x00 Bridge" } ,
	{ 0x1031, 0x5607, "", "video in and out with motion jpeg compression and deco" } ,
	{ 0x1033, 0x0001, "", "PCI to 486 like bus Bridge" } ,
	{ 0x1033, 0x0002, "", "PCI to vl98 Bridge" } ,
	{ 0x1033, 0x0003, "", "atm lan Cntrlr" } ,
	{ 0x1033, 0x0004, "", "r4000PCI bus Bridge" } ,
	{ 0x1033, 0x0005, "", "PCI to 486 like peripheral bus Bridge" } ,
	{ 0x1033, 0x0006, "", "GUI Accelerator" } ,
	{ 0x1033, 0x0007, "", "PCI to ux-bus Bridge" } ,
	{ 0x1033, 0x0008, "", "GUI Accelerator (vga equivalent)" } ,
	{ 0x1033, 0x0009, "", "graphic Cntrlr for 98" } ,
	{ 0x1036, 0x0000, "TMC-18C30", "Fast SCSI" } ,
	{ 0x1039, 0x0001, "86C201", "True-Color GUI Accelerator" } ,
	{ 0x1039, 0x0002, "", "VGA Cntrlr" } ,
	{ 0x1039, 0x0006, "85C501/2", "Pentium Bridge" } ,
	{ 0x1039, 0x0008, "85C503/5513/SiS5595", "ISA Bridge" } ,
	{ 0x1039, 0x0009, "SiS5595", "PCI System I/O Chipset (PMU configuration)" } ,
	{ 0x1039, 0x0200, "SiS5597", "5597 Onboard Graphics Controller" } ,
	{ 0x1039, 0x0406, "85C501/2", "Pentium Bridge" } ,
	{ 0x1039, 0x0496, "85C496", "VL Bridge" } ,
	{ 0x1039, 0x0596, "", "p5 chipset w/DE" } ,
	{ 0x1039, 0x0601, "601", "EIDE Ctrlr" } ,
	{ 0x1039, 0x3602, "", "IDE Cntrlr" } ,
	{ 0x1039, 0x5401, "", "486 chipset" } ,
	{ 0x1039, 0x5511, "SiS5511/5512", "Pentium Chipset" } ,
	{ 0x1039, 0x5513, "SiS5513", "EIDE Ctrlr" } ,
	{ 0x1039, 0x5581, "", "p5 chipset" } ,
	{ 0x1039, 0x5582, "", "ISA Bridge" } ,
	{ 0x1039, 0x5591, "SiS5591/2", "Pentium PCI/AGP chipset" } ,
	{ 0x1039, 0x5596, "", "p5 chipset" } ,
	{ 0x1039, 0x5597, "SiS5597", "5597 Northbridge" } ,
	{ 0x1039, 0x6204, "", "video decoder/mpeg interface" } ,
	{ 0x1039, 0x6205, "", "PCI vga Cntrlr" } ,
	{ 0x1039, 0x7001, "SiS5595", "PCI System I/O Chipset (USB controller)" } ,
	{ 0x103C, 0x1030, "J2585A", "10/100VG LAN Adapter" } ,
	{ 0x103C, 0x2910, "E2910A", "PCI Bus Exerciser" } ,
	{ 0x103C, 0x2920, "", "Fast Host Interface" } ,
	{ 0x103C, 0x2924, "E2924A", "PCI Host Interface Adapter" } ,
	{ 0x103C, 0x2925, "E2925A", "32 bit PCI Bus Exerciser and Analyzer" } ,
	{ 0x103C, 0x2926, "E2926A", "64 bit PCI Bus Exerciser and Analyzer" } ,
	{ 0x103C, 0x2927, "E2927A", "64 Bit, 66/50MHz PCI Analyzer & Exerciser" } ,
	{ 0x103C, 0x2940, "E2940A", "64 bit, 66/50MHz CompactPCI Analyzer&Exerciser" } ,
	{ 0x1042, 0x1000, "FDC 37C665", "EIDE" } ,
	{ 0x1042, 0x1000, "RZ1000", "IDE Ctrlr" } ,
	{ 0x1042, 0x1001, "37C922", "" } ,
	{ 0x1043, 0x0200, "AGP-V3400", "Asus RivaTNT Video Board" } ,
	{ 0x1044, 0xA400, "2124A/9X", "SmartCache/Raid SCSI" } ,
	{ 0x1045, 0xA0F8, "82C750", "PCI USB Controller" } ,
	{ 0x1045, 0xC101, "82C264", "GUI Accelerator" } ,
	{ 0x1045, 0xC178, "92C178", "LCD GUI Accelerator" } ,
	{ 0x1045, 0xC557, "82C557", "CPU Bridge (Viper)" } ,
	{ 0x1045, 0xC558, "82C558", "ISA Bridge w/PnP" } ,
	{ 0x1045, 0xC621, "82C621", "PCI IDE Controller (PIC)" } ,
	{ 0x1045, 0xC822, "82C822", "EIDE Ctrlr" } ,
	{ 0x1045, 0xC825, "82C825 function 0", "PCI-to-ISA Bridge" } ,
	{ 0x1045, 0xC935, "82C935", "MachOne integrated PCI audio processor" } ,
	{ 0x1045, 0xD568, "82C825 function 1", "PCI bus master IDE controller" } ,
	{ 0x1045, 0xD768, "82C750", "Ultra DMA IDE controller" } ,
	{ 0x104B, 0x0140, "BT-946C", "SCSI-II" } ,
	{ 0x104B, 0x1040, "BA80C30", "SCSI" } ,
	{ 0x104B, 0x8130, "Flashpoint LT", "Ultra SCSI" } ,
	{ 0x104C, 0x0500, "", "100 MBit LAN Cntrlr" } ,
	{ 0x104C, 0x0508, "", "tms380c2x compressor interface" } ,
	{ 0x104C, 0x1000, "TI PCI Eagle i/f AS", "" } ,
	{ 0x104C, 0xA001, "TDC1570", "64-bit PCI ATM sar" } ,
	{ 0x104C, 0xA100, "TDC1561", "32-bit PCI ATM sar" } ,
	{ 0x104C, 0xAC10, "PCI1050", "pc card Cntrlr" } ,
	{ 0x104C, 0xAC11, "PCI1053", "pc card Cntrlr" } ,
	{ 0x104C, 0xAC12, "PCI1130", "pc card Cardbus Cntrlr" } ,
	{ 0x104C, 0xAC13, "PCI1031", "PCI-TO-PC CARD16 CONTROLLER UNIT" } ,
	{ 0x104c, 0xAC15, "PCI1131", "Dual Socket PCI CardBus Controller" } ,
	{ 0x104C, 0xAC16, "PCI1250", "pc card Cardbus Cntrlr" } ,
	{ 0x104C, 0xac17, "PCI1220", "CardBus Controller" } ,
	{ 0x104c, 0xAC19, "PCI1221", "PC Card Controller" } ,
	{ 0x104c, 0xAC1C, "PCI1225", "PC Card Controller" } ,
	{ 0x104c, 0xAC1D, "PCI1251A", "PC Card Controller" } ,
	{ 0x104c, 0xAC1E, "PCI1211", "High Performance PC Card Controller" } ,
	{ 0x104c, 0xAC51, "PCI1420", "PC Card Controller" } ,
	{ 0x104c, 0xAC60, "PCI2040", "PCI-DSP Bridge Controller" } ,
	{ 0x104E, 0x0107, "OTI107", "Spitfire VGA Accelerator" } ,
	{ 0x1050, 0x0000, "", "Ethernet Cntrlr" } ,
	{ 0x1050, 0x0940, "w89c940f", "winbond pci ethernet" } ,
	{ 0x1054, 0x0001, "", "PCI Bridge" } ,
	{ 0x1054, 0x0002, "", "PCI bus Cntrlr" } ,
	{ 0x1055, 0x0810, "", "486 host Bridge" } ,
	{ 0x1055, 0x0922, "", "Pentium/p54c host Bridge" } ,
	{ 0x1055, 0x0926, "", "ISA Bridge" } ,
	{ 0x1057, 0x0001, "MPC105", "PowerPC Chipset" } ,
	{ 0x1057, 0x0002, "MPC106", "PowerPC Chipset" } ,
	{ 0x105A, 0x4D33, "PDC20246", "Ultra ATA controller" } ,
	{ 0x105A, 0x5300, "DC5300", "" } ,
	{ 0x105D, 0x2309, "Imagine 128", "GUI Accelerator" } ,
	{ 0x105D, 0x2339, "I128s2", "Imagine 128 Series 2" } ,
	{ 0x105D, 0x493D, "T2R", "Imagine 128 3D" } ,
	{ 0x105D, 0x5348, "Revolution IV", "Revolution IV" } ,
	{ 0x1060, 0x0001, "UM82C881", "486 Chipset" } ,
	{ 0x1060, 0x0002, "UM82C886", "ISA Bridge" } ,
	{ 0x1060, 0x0101, "UM8673F", "EIDE Controller" } ,
	{ 0x1060, 0x0881, "UM8881", "HB4 486 PCI Chipset" } ,
	{ 0x1060, 0x0881, "UM8881", "" } ,
	{ 0x1060, 0x0886, "UM8886F", "ISA Bridge" } ,
	{ 0x1060, 0x0891, "UM82C891", "Pentium Chipset" } ,
	{ 0x1060, 0x1001, "UM886A", "IDE Cntrlr (dual function)" } ,
	{ 0x1060, 0x673A, "UM8886", "Funktion 1: EIDE Controller" } ,
	{ 0x1060, 0x8710, "UM8710", "VGA Cntrlr" } ,
	{ 0x1060, 0x886A, "UM8886", "ISA Bridge with EIDE" } ,
	{ 0x1060, 0x8881, "UM8881F", "HB4 486 PCI Chipset" } ,
	{ 0x1060, 0x8886, "UM8886", "ISA Bridge" } ,
	{ 0x1060, 0x8891, "UM8891", "586 Chipset" } ,
	{ 0x1060, 0x9017, "UM9017F", "" } ,
	{ 0x1060, 0xE881, "UM8881", "486 Chipset" } ,
	{ 0x1060, 0xE886, "UM8886", "ISA Bridge w/EIDE" } ,
	{ 0x1060, 0xE891, "UM8891", "Pentium Chipset" } ,
	{ 0x1061, 0x0001, "AGX016", "GUI Accelerator" } ,
	{ 0x1061, 0x0002, "IIT3204/3501", "MPEG Decoder" } ,
	{ 0x1066, 0x0000, "PT80C826", "VL Bridge" } ,
	{ 0x1069, 0x0001, "DAC960P", "DAC960P 3 ch SCSI RAID Controller" } ,
	{ 0x1069, 0x0002, "DAC960PD", "DAC960PD 3 ch SCSI RAID Controller" } ,
	{ 0x1069, 0x0010, "DAC960PJ", "DAC960PJ 3 ch SCSI RAID Controller" } ,
	{ 0x1069, 0xBA55, "1100", "eXtremeRAID Controller" } ,
	{ 0x1073, 0x0001, "", "3D graphics Cntrlr" } ,
	{ 0x1073, 0x0002, "YGV615", "RPA3 3D-Graphics Controller" } ,
	{ 0x1073, 0x000C, "YMF740", "DS-1L PCI audio controller" } ,
	{ 0x1073, 0x000D, "YMF724", "DS-1 PCI audio controller" } ,
	{ 0x1073, 0x0010, "YMF744", "DS-1S PCI audio controller" } ,
	{ 0x1077, 0x1020, "ISP1020A", "Fast-wide SCSI" } ,
	{ 0x1077, 0x1022, "ISP1022A", "Fast-wide SCSI" } ,
	{ 0x1078, 0x0001, "MediaGXm MMX", "Cyrix Integrated CPU" } ,
	{ 0x1078, 0x0100, "Cx5530", "South Bridge for Cyrixs MediaGX uProcessor" } ,
	{ 0x107D, 0x0000, "P86C850", "Graphic GLU-Logic" } ,
	{ 0x107E, 0x0001, "", "ATM interface card" } ,
	{ 0x107E, 0x0002, "", "100 vg anylan Cntrlr" } ,
	{ 0x107E, 0x0008, "", "155 MBit ATM controller" } ,
	{ 0x107F, 0x0802, "SL82C105", "EIDE Ctrlr" } ,
	{ 0x1080, 0x0600, "82C599", "VL Bridge" } ,
	{ 0x1083, 0x0001, "FR710", "EIDE Ctrlr" } ,
	{ 0x1083, 0x0613, "", "Host Bridge" } ,
	{ 0x108A, 0x0001, "Model 617", "PCI-VME Bus Adapter" } ,
	{ 0x108D, 0x0001, "", "Ethernet Ctrlr" } ,
	{ 0x1091, 0x0020, "", "3D Graphics Processor" } ,
	{ 0x1091, 0x0021, "", "3D graphics processor w/texturing" } ,
	{ 0x1091, 0x0040, "", "3D graphics frame buffer" } ,
	{ 0x1091, 0x0041, "", "3D graphics frame buffer" } ,
	{ 0x1091, 0x0060, "", "Proprietary bus Bridge" } ,
	{ 0x1091, 0x0720, "", "Motion JPEG Codec" } ,
	{ 0x1093, 0xC801, "PCI-GPIB", "GPIB Controller Interface Board" } ,
	{ 0x1095, 0x0640, "PCI0640A", "EIDE Ctrlr" } ,
	{ 0x1095, 0x0642, "", "IDE Cntrlr w/RAID 1" } ,
	{ 0x1095, 0x0643, "PCI0643", "PCI EIDE controller" } ,
	{ 0x1095, 0x0646, "PCI0646", "bus master IDE" } ,
	{ 0x1095, 0x0650, "PBC0650A", "Fast SCSI-II Ctrlr" } ,
	{ 0x1095, 0x0670, "USB0670", "PCI-USB ASIC" } ,
	{ 0x1095, 0x0673, "USB0673", "PCI-USB ASIC" } ,
	{ 0x1098, 0x0001, "QD-8500", "" } ,
	{ 0x1098, 0x0002, "QD-8580", "" } ,
	{ 0x109E, 0x0350, "BT848", "TV/PCI with DMA Push" } ,
	{ 0x109E, 0x0351, "Bt849", "" } ,
	{ 0x109E, 0x2115, "BtV 2115", "BtV Mediastream Controller" } ,
	{ 0x109E, 0x2125, "BtV 2125", "BtV Mediastream Controller" } ,
	{ 0x109E, 0x8230, "?", "?" } ,
	{ 0x10A8, 0x0000, "?", "64-bit GUI Accelerator" } ,
	{ 0x10AA, 0x0000, "2188", "ACCM 2188 VL-PCI Bridge (Pentium)" } ,
	{ 0x10AD, 0x0001, "W83769F", "EIDE Ctrlr" } ,
	{ 0x10AD, 0x0103, "sl82c103", "PCI-ide mode 4.5 Cntrlr" } ,
	{ 0x10AD, 0x0105, "sl82c105", "- bus master PCI-ide mode 4.5 Cntrlr" } ,
	{ 0x10B5, 0x9036, "PCI9036", "Interface chip" } ,
	{ 0x10B5, 0x9050, "PCI 9050", "Target PCI Interface Chip" } ,
	{ 0x10B5, 0x9060, "PCI9060xx", "Interface chip" } ,
	{ 0x10B5, 0x9080, "PCI 9080", "High performance PCI to Local Bus chip" } ,
	{ 0x10B6, 0x0001, "Smart 16/4", "Ringnode" } ,
	{ 0x10B6, 0x0004, "", "Smart 16/4 Ringnode" } ,
	{ 0x10B6, 0x1000, "Collage 25", "ATM adapter" } ,
	{ 0x10B6, 0x1001, "Collage 155", "ATM adapter" } ,
	{ 0x10B7, 0x0001, "3C985", "Gigabit Etherlink" } ,
	{ 0x10B7, 0x5900, "3C590", "Ethernet 10bT" } ,
	{ 0x10B7, 0x5950, "3C595", "Ethernet 100bTX" } ,
	{ 0x10B7, 0x5951, "3C595", "Ethernet 100bT4" } ,
	{ 0x10B7, 0x5952, "3C595", "Ethernet 100b-MII" } ,
	{ 0x10B7, 0x8811, "", "Token Ring" } ,
	{ 0x10B7, 0x9000, "3C900-TPO", "Fast Etherlink XL PCI 10" } ,
	{ 0x10B7, 0x9001, "3C900-COMBO", "Fast Etherlink XL PCI 10" } ,
	{ 0x10B7, 0x9050, "3C905-TX", "Fast Etherlink XL PCI 10/100" } ,
	{ 0x10B7, 0x9051, "3C905-T4", "Fast Etherlink XL 10/100" } ,
	{ 0x10B7, 0x9055, "3C905B", "Fast Etherlink XL 10/100" } ,
	{ 0x10B8, 0x1000, "37C665", "FDC" } ,
	{ 0x10B8, 0x1001, "37C922", "FDC" } ,
	{ 0x10B8, 0xA011, "83C170QF", "Fast ethernet controller" } ,
	{ 0x10B9, 0x1435, "M1435", "VL Bridge" } ,
	{ 0x10B9, 0x1445, "M1445", "VL Bridge w/EIDE" } ,
	{ 0x10B9, 0x1449, "M1449", "ISA Bridge" } ,
	{ 0x10B9, 0x1451, "M1451", "Pentium Chipset" } ,
	{ 0x10B9, 0x1461, "M1461", "P54C Chipset" } ,
	{ 0x10b9, 0x1531, "M1531B", "ALi Aladdin IV Host Bridge" } ,
	{ 0x10B9, 0x1533, "M1533", "PCI South Bridge" } ,
	{ 0x10B9, 0x1541, "M1541", "Aladdin V AGPset Host Bridge" } ,
	{ 0x10B9, 0x1543, "M1543", "Aladdin V AGPset South Bridge" } ,
	{ 0x10b9, 0x1621, "M1621", "Aladdin-Pro II Northbridge" } ,
	{ 0x10b9, 0x1631, "M1631", "Aladdin Pro III Northbridge" } ,
	{ 0x10B9, 0x3141, "M3141", "GUI Accelerator" } ,
	{ 0x10B9, 0x3143, "M3143", "GUI Accelerator" } ,
	{ 0x10B9, 0x3145, "M3145", "GUI Accelerator" } ,
	{ 0x10B9, 0x3147, "M3147", "GUI Accelerator" } ,
	{ 0x10B9, 0x3149, "M3149", "GUI Accelerator" } ,
	{ 0x10B9, 0x3151, "M3151", "GUI Accelerator" } ,
	{ 0x10B9, 0x5215, "MS4803", "EIDE Ctrlr" } ,
	{ 0x10B9, 0x5217, "m5217h", "I/O (?)" } ,
	{ 0x10B9, 0x5219, "m5219", "I/O (?)" } ,
	{ 0x10B9, 0x5229, "M1543 Southbridge", "PCI-to-ISA Bus Bridge with Super I/O" } ,
	{ 0x10B9, 0x5235, "m5225", "I/O (?)" } ,
	{ 0x10b9, 0x5237, "M1541A", "Aladdin V USB Controller" } ,
	{ 0x10b9, 0x5243, "M1541A", "Aladdin V PCI-to-PCI Bridge" } ,
	{ 0x10b9, 0x5247, "M5247", "Aladdin V built-in PCI-to-PCI bridge" } ,
	{ 0x10BD, 0x0E34, "NE34", "NE2000 PCI clone" } ,
	{ 0x10BD, 0x5240, "", "IDE Cntrlr" } ,
	{ 0x10BD, 0x5241, "", "PCMCIA Bridge" } ,
	{ 0x10BD, 0x5242, "", "General Purpose Cntrlr" } ,
	{ 0x10BD, 0x5243, "", "Bus Cntrlr" } ,
	{ 0x10BD, 0x5244, "", "FCD Cntrlr" } ,
	{ 0x10C8, 0x0000, "", "Graphics Cntrlr" } ,
	{ 0x10C8, 0x0003, "", "NeoMagic MagicGraph 128ZV" } ,
	{ 0x10C8, 0x0005, "", "MagicGraph 256AV" } ,
	{ 0x10C8, 0x0083, "NM2097", "Graphic Controller NeoMagic MagicGraph128ZV+" } ,
	{ 0x10CD, 0x1100, "", "SCSI I/O Cntrlr" } ,
	{ 0x10CD, 0x1200, "ASC1200", "Fast SCSI-II" } ,
	{ 0x10CD, 0x1300, "ASC-3050", "ASC-3150" } ,
	{ 0x10CF, 0x2001, "mb86605", "Wide SCSI-2" } ,
	{ 0x10D9, 0x0531, "MX98715", "Single Chip Fast Ethernet NIC Controller" } ,
	{ 0x10DC, 0x0002, "ATT 2C15-3 (FPGA)", "SCI bridge  on PCI 5 Volt card" } ,
	{ 0x10DC, 0x0010, "680-1110-150/400", "Simple PMC/PCI to S-LINK interface" } ,
	{ 0x10DC, 0x0011, "680-1110-200/450", "Simple S-LINK to PMC/PCI interface" } ,
	{ 0x10DC, 0x10DC, "ATT 2C15-3 (FPGA)", "" } ,
	{ 0x10DD, 0x0001, "", "3D graphics processor" } ,
	{ 0x10DE, 0x0018, "Riva 128", "Riva 128 accelerator" } ,
	{ 0x10DE, 0x0020, "Riva TNT", "AGP" } ,
	{ 0x10DE, 0x0028, "Riva TNT2", "Riva TNT2" } ,
	{ 0x10DF, 0x1AE5, "", "Fibre Channel Host Adapter" } ,
	{ 0x10E0, 0x5026, "IMS5026/27/28", "VL Bridge" } ,
	{ 0x10E0, 0x5028, "", "ISA Bridge" } ,
	{ 0x10E0, 0x8849, "8849", "VL Bridge" } ,
	{ 0x10E0, 0x8853, "", "ATM network card" } ,
	{ 0x10E0, 0x9128, "IMS9129", "GUI Accelerator" } ,
	{ 0x10E3, 0x0000, "CA91C042", "VMEbus Bridge" } ,
	{ 0x10E3, 0x0860, "CA91C860", "Motorola Processor Bridge" } ,
	{ 0x10E3, 0x0862, "CA91L826A", "PCI to Motorola Processor Bridge" } ,
	{ 0x10E8, 0x4750, "S5933", "PCI Ctrlr" } ,
	{ 0x10E8, 0x8033, "BBK-PCI light", "Transputer Link Interface" } ,
	{ 0x10E8, 0x8043, "LANai4.x", "Myrinet LANai interface chip" } ,
	{ 0x10E8, 0x8088, "FS", "Kongsberg Spacetec Format Synchronizer" } ,
	{ 0x10E8, 0x8089, "SOB", "Kongsberg Spacetec Serial Output Board" } ,
	{ 0x10E8, 0x811A, "PCI-DSlink", "PCI-IEEE1355-DS-DE interface" } ,
	{ 0x10EB, 0x0101, "3GA", "64 bit graphics processor" } ,
	{ 0x10EC, 0x8029, "RTL8029", "NE2000 compatible Ethernet" } ,
	{ 0x10ec, 0x8139, "RTL8139", "Fast ethernet" } ,
	{ 0x10ED, 0x7310, "V7310", "VGA Video Overlay Adapter" } ,
	{ 0x10F0, 0xA800, "VCL-P", "Graphics board" } ,
	{ 0x10F0, 0xB300, "VCL-M", "graphics board" } ,
	{ 0x10F5, 0xA001, "NDR4000", "NR4600 Bridge" } ,
	{ 0x10FA, 0x0000, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0001, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0002, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0003, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0004, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0005, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0006, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0007, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0008, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0009, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0010, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0011, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0012, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0013, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0014, "", "GUI Accelerator" } ,
	{ 0x10FA, 0x0015, "", "GUI Accelerator" } ,
	{ 0x1101, 0x9100, "", "8-bit Fast-wide SCSI" } ,
	{ 0x1101, 0x9400, "INIC-940", "Fast Wide SCSI" } ,
	{ 0x1101, 0x9700, "", "Fast Wide SCSI" } ,
	{ 0x1102, 0x0002, "EMU10000", "Sound Blaster Live!" } ,
	{ 0x1102, 0x7002, "EMU10000", "Game Port" } ,
	{ 0x1105, 0x8300, "VM491", "DVD/MPEG-2 accelerator" } ,
	{ 0x1106, 0x0505, "82C505", "VL Bridge" } ,
	{ 0x1106, 0x0561, "82C561", "IDE" } ,
	{ 0x1106, 0x0571, "VT82C586/686", "PCI IDE Controller" } ,
	{ 0x1106, 0x0576, "82C576", "P54 Ctrlr" } ,
	{ 0x1106, 0x0585, "VT82C585VP", "Host Bus-PCI Bridge" } ,
	{ 0x1106, 0x0586, "VT82C586VP", "PCI-to-ISA Bridge" } ,
	{ 0x1106, 0x0595, "VP2", "Apollo VP2" } ,
	{ 0x1106, 0x0596, "VT82C596", "PCI ISA Bridge" } ,
	{ 0x1106, 0x0597, "VT82C597", "Host Bridge (Apollo VP3)" } ,
	{ 0x1106, 0x0598, "VT82C598", "Apollo MVP3 Host Bridge" } ,
	{ 0x1106, 0x0686, "VT82C686", "PCI-to-ISA bridge" } ,
	{ 0x1106, 0x0691, "VT82C691", "Apollo Pro Host Bridge" } ,
	{ 0x1106, 0x0693, "VT82C693", "Apollo Pro+ Host Bridge" } ,
	{ 0x1106, 0x0926, "VT86C926", "Ethernet Ctrlr (NE2000 compatible)" } ,
	{ 0x1106, 0x1000, "82C570MV", "P54 Ctrlr" } ,
	{ 0x1106, 0x1106, "82C570MV", "ISA Bridge w/IDE" } ,
	{ 0x1106, 0x3038, "VT83C572", "PCI USB Controller" } ,
	{ 0x1106, 0x3040, "VT82C586B", "power management" } ,
	{ 0x1106, 0x3050, "VT82C596", "Power Management Controller" } ,
	{ 0x1106, 0x3058, "VT82C686", "Audio Codec 97" } ,
	{ 0x1106, 0x3068, "VT82C686", "Modem Codec 97" } ,
	{ 0x1106, 0x3086, "VT82C686", "Power management" } ,
	{ 0x1106, 0x8597, "VT82C597", "PCI-to-PCI Bridge (AGP)" } ,
	{ 0x1106, 0x8598, "VT82C598", "Apollo MVP3 PCI-to-PCI Bridge" } ,
	{ 0x1106, 0x8691, "VT82C691", "Apollo Pro PCI-to-PCI Bridge" } ,
	{ 0x1106, 0x8693, "VT82C693", "Apollo Pro+ PCI-to-PCI Bridge" } ,
	{ 0x1108, 0x0100, "p1690plus-AA", "Token Ring Adapter" } ,
	{ 0x1108, 0x0101, "p1690plus-AB", "2-Port Token Ring Adapter" } ,
	{ 0x1109, 0x1400, "EM110TX", "EX110TX PCI Fast Ethernet Adapter" } ,
	{ 0x110A, 0x113C, "FPGA-CPTR", "Hardware Tracer for CP113C / CP113D" } ,
	{ 0x110A, 0x3160, "MCCA", "Pentium-PCI Host Bridge Core ASIC" } ,
	{ 0x110A, 0x4942, "FPGA-IBTR", "I-Bus Tracer for MBD" } ,
	{ 0x110A, 0x6120, "SZB6120", "Multimedia Adapter" } ,
	{ 0x1112, 0x2200, "", "FDDI adapter" } ,
	{ 0x1112, 0x2300, "", "fast ethernet adapter" } ,
	{ 0x1112, 0X2340, "4 Port FEN Adapter", "4 10/100 UTP Fast Ethernet Adapter" } ,
	{ 0x1112, 0x2400, "", "ATM adapter" } ,
	{ 0x1117, 0x9500, "", "max-lc SVGA card" } ,
	{ 0x1117, 0x9501, "", "max-lc image processing" } ,
	{ 0x1119, 0x0000, "GDT6000/6020/6050", "SCSI RAID" } ,
	{ 0x1119, 0x0001, "GDT6000/6010", "SCSI RAID" } ,
	{ 0x1119, 0x0002, "GDT6110/6510", "SCSI RAID" } ,
	{ 0x1119, 0x0003, "GDT6120/6520", "2-chan SCSI RAID" } ,
	{ 0x1119, 0x0004, "GDT6530", "3-chan SCSI RAID" } ,
	{ 0x1119, 0x0005, "GDT6550", "5-chan SCSI RAID" } ,
	{ 0x111A, 0x0000, "155P-MF1", "" } ,
	{ 0x111C, 0x0001, "", "Powerbus Bridge" } ,
	{ 0x111F, 0x5243, "", "Frame Capture Bus Interface" } ,
	{ 0x112E, 0x0000, "", "EIDE/hdd and IDE/cd-rom Ctrlr" } ,
	{ 0x112E, 0x000B, "", "EIDE/hdd and IDE/cd-rom Ctrlr" } ,
	{ 0x112F, 0x0000, "ICPCI", "" } ,
	{ 0x112F, 0x0001, "", "video frame grabber/processor" } ,
	{ 0x1131, 0x2780, "tda 2780 AQ", "Tv deflection" } ,
	{ 0x1131, 0x5400, "TM100", "TriMedia" } ,
	{ 0x1131, 0x7146, "SAA7146", "Multi Media Bridge Scaler" } ,
	{ 0x1134, 0x0001, "", "Raceway Bridge" } ,
	{ 0x1135, 0x0001, "", "Printer Cntrlr" } ,
	{ 0x1138, 0x8905, "8905", "STD 32 Bridge" } ,
	{ 0x1139, 0x0001, "", "VGA" } ,
	{ 0x1139, 0x0001, "", "VGA compatible 3D graphics" } ,
	{ 0x1141, 0x0001, "", "EIDE/ATAPI super adapter" } ,
	{ 0x1142, 0x3210, "ProMotion 3210", "VGA/AVI Playback Accelerator" } ,
	{ 0x1142, 0x6410, "", "GUI Accelerator" } ,
	{ 0x1142, 0x6412, "", "GUI Accelerator" } ,
	{ 0x1142, 0x6420, "", "GUI Accelerator" } ,
	{ 0x1142, 0x6422, "Provideo", "" } ,
	{ 0x1142, 0x6424, "", "GUI Accelerator" } ,
	{ 0x1142, 0x6426, "", "GUI Accelerator" } ,
	{ 0x1144, 0x0001, "", "Noservo Cntrlr" } ,
	{ 0x1148, 0x4000, "", "FDDI adapter" } ,
	{ 0x1158, 0x3011, "", "Tokenet/vg 1001/10m anylan" } ,
	{ 0x1158, 0x9051, "", "Lanfleet/Truevalue" } ,
	{ 0x1159, 0x0001, "MV1000", "" } ,
	{ 0x1161, 0x0001, "", "Host Bridge" } ,
	{ 0x1165, 0x0001, "", "Motion JPEG rec/play w/audio" } ,
	{ 0x1166, 0x0005, "", "PCI Host Bridge (Southbridge copy)" } ,
	{ 0x1178, 0xAFA1, "", "Fast Ethernet" } ,
	{ 0x1179, 0x0601, "", "Toshiba CPU to PCI bridge" } ,
	{ 0x1179, 0x060A, "", "Toshiba ToPIC95 CardBus Controller" } ,
	{ 0x1179, 0x0701, "", "PCI Communication Device" } ,
	{ 0x1180, 0x0465, "RL5C465", "CardBus controller" } ,
	{ 0x1180, 0x0466, "RL5C466", "CardBus controller" } ,
	{ 0x1180, 0x0475, "RL5C475", "CardBus controller" } ,
	{ 0x1180, 0x0476, "RL5C476", "CardBus controller" } ,
	{ 0x1186, 0x0100, "DC21041", "" } ,
	{ 0x1189, 0x1592, "", "?" } ,
	{ 0x118C, 0x0014, "PCIB", "C-bus II to PCI bus host bridge chip" } ,
	{ 0x118C, 0x1117, "MAC-94C201B3", "Corollary/Intel Memory Controller Chip" } ,
	{ 0x118D, 0x0001, "n/a", "Raptor-PCI framegrabber" } ,
	{ 0x118D, 0x0012, "Model 12", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0014, "Model 14", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0024, "Model 24", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0044, "Model 44", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0112, "Model 12", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0114, "Model 14", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0124, "Model 24", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0144, "Model 44", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0212, "Model 12", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0214, "Model 14", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0224, "Model 24", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0244, "Model 44", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0312, "Model 12", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0314, "Model 14", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0324, "Model 24", "Road Runner Frame Grabber" } ,
	{ 0x118D, 0x0344, "Model 44", "Road Runner Frame Grabber" } ,
	{ 0x1191, 0x0001, "", "IDE Ctrlr" } ,
	{ 0x1191, 0x0002, "", "IDE Cntrlr" } ,
	{ 0x1191, 0x0003, "", "SCSI-2 cache Cntrlr" } ,
	{ 0x1191, 0x0004, "atp8400a", "ASIC cache controller" } ,
	{ 0x1191, 0x8001, "", "SCSI-2 cache Cntrlr" } ,
	{ 0x1191, 0x8002, "ATP-850S", "artop SCSI-2 Cntrlr" } ,
	{ 0x1193, 0x0001, "1221", "" } ,
	{ 0x1199, 0x0001, "", "IRMA 3270 PCI Adapter" } ,
	{ 0x1199, 0x0002, "", "Advanced ISCA PCI Adapter" } ,
	{ 0x1199, 0x0201, "", "SDLC PCI Adapter" } ,
	{ 0x11A9, 0x4240, "AMCC S5933Q", "Intelligent Serial Card" } ,
	{ 0x11AB, 0x0146, "GT-64010", "System ctrlr w/PCI for R46xx CPU" } ,
	{ 0x11AB, 0x4801, "GT-48001", "8 port switched ethernet ctrlr" } ,
	{ 0x11AB, 0x4809, "EV-48300", "Evaluation board for the GT-48300" } ,
	{ 0x11AB, 0xF003, "GT-64010", "Primary Image Piranha Image Generator" } ,
	{ 0x11AB, 0xF004, "GT64120", "Primary Image Barracuda Image Generator" } ,
	{ 0x11AD, 0x0002, "NGMC169B", "10/100 Ethernet (NetGear FA310TX)" } ,
	{ 0x11B0, 0x0292, "V292PBC", "Am29030/40 Bridge" } ,
	{ 0x11B0, 0x0960, "V96xPBC", "i960 Bridges for i960 Processors" } ,
	{ 0x11B0, 0xC960, "V96DPC", "i960 Dual PCI Bridge" } ,
	{ 0x11b3, 0001, "", "CHANNEL-IN (BT) Rev 1" } ,
	{ 0x11b3, 0002, "", "CHANNEL-OUT (BT) Rev 1" } ,
	{ 0x11b3, 0010, "", "CHANNEL-IN (ES)" } ,
	{ 0x11b3, 0100, "", "SYNC MAX PCI" } ,
	{ 0x11b3, 1001, "", "CHANNEL-IN (BT) Rev 2" } ,
	{ 0x11b3, 1002, "", "CHANNEL-OUT (BT) Rev 2" } ,
	{ 0x11B9, 0xC0ED, "SSA Ctrlr", "" } ,
	{ 0x11C1, 0x0442, "1646T00", "V.90 Lucent Modem" } ,
	{ 0x11C8, 0x0658, "PSB", "PCI-SCI Bridge" } ,
	{ 0x11C9, 0x0010, "", "16-line serial DMA" } ,
	{ 0x11C9, 0x0011, "", "4-line serial DMA" } ,
	{ 0x11CB, 0x2000, "PCI-9050", "Target Interface" } ,
	{ 0x11CB, 0x4000, "SUPI-1", "Target Interface" } ,
	{ 0x11CB, 0x8000, "T225", "Bridge" } ,
	{ 0x11D1, 0x01F7, "VxP524", "PCI Video Processor" } ,
	{ 0x11F8, 0x7375, "PM7375", "LASAR-155 ATM SAR" } ,
	{ 0x1208, 0x4853, "", "HS-Link Device" } ,
	{ 0x120E, 0x0100, "Cyclom-Y", "Multiport Serial Card" } ,
	{ 0x120E, 0x0200, "Cyclom-Z", "Intelligent Multiport Serial" } ,
	{ 0x1217, 0x6832, "OZ6832", "CardBus Controller" } ,
	{ 0x121A, 0x0001, "Voodoo", "Voodoo 3D Acceleration Chip" } ,
	{ 0x121A, 0x0002, "Voodoo2", "Voodoo 2 3D Accelerator" } ,
	{ 0x121A, 0x0003, "", "Voodoo Banshee" } ,
	{ 0x121a, 0x4, "", "Voodoo3 2000" } ,
	{ 0x121a, 0x5, "", "Voodoo3 3000" } ,
	{ 0x1244, 0x0700, "AVM", "B1 ISDN controller" } ,
	{ 0x125D, 0x1968, "ES1968", "Maestro-2 PCI audio accelerator" } ,
	{ 0x125D, 0x1969, "ES1938/41/46", "Solo-1 PCI AudioDrive family" } ,
	{ 0x1274, 0x1371, "ES1371", "AudioPCI" } ,
	{ 0x1274, 0x5000, "ES1370", "AudioPCI" } ,
	{ 0x127A, 0x1002, "RC56HCFPCI", "Modem enumerator" } ,
	{ 0x127A, 0x1025, "", "PCI modem" } ,
	{ 0x127A, 0x2014, "", "PCI modem" } ,
	{ 0x12BE, 0x3041, "AN3041Q", "CO-MEM PCI Bus Interface and Cache" } ,
	{ 0x12be, 0x3042, "AN3042", "PCI Generic Host Bridge/Shared Memory" } ,
	{ 0x12C5, 0x007F, "ISE", "PEI Imaging Subsystem Engine" } ,
	{ 0x12C5, 0x0081, "pcivst", "PCI Thresholding Engine" } ,
	{ 0x12D2, 0x0018, "RIVA 128", "Riva 128 2D/3D GUI Accelerator" } ,
	{ 0x12DB, 0x0003, "", "FoxFire II" } ,
	{ 0x12E0, 0x0010, "ST16C654", "Quad UART" } ,
	{ 0x12E0, 0x0020, "ST16C654", "Quad UART" } ,
	{ 0x12E0, 0x0030, "ST16C654", "Quad UART" } ,
	{ 0x12EB, 0x0001, "AU8820", "Vortex Digital Audio Processor" } ,
	{ 0x12eb, 0x0002, "", "Vortex 2 Digital Audio Processor" } ,
	{ 0x1307, 0x0006, "PCI-GPIB", "" } ,
	{ 0x1307, 0x0028, "CIO-DIO24", "24 Bit Digital Input/Output Board" } ,
	{ 0x1318, 0x0911, "G-NIC II", "1000BT Network Interface Card" } ,
	{ 0x1319, 0x0801, "FM801", "PCI audio controller" } ,
	{ 0x144B, 0x0601, "", "" } ,
	{ 0x14D4, 0x0400, "Panacom 7", "Interface chip" } ,
	{ 0x1500, 0x1300, "SIS900", "10/100M PCI Fast Ethernet Controller" } ,
	{ 0x1500, 0x1320, "VT86C100A", "10/100M PCI Fast Ethernet Controler" } ,
	{ 0x1500, 0x1360, "RTL8139A", "10/100 Mbps PCI Fast Ethernet Controller" } ,
	{ 0x1500, 0x1380, "DEC21143PD", "10/100M PCI Fast Ethernet Controller" } ,
	{ 0x1C1C, 0x0001, "FR710", "EIDE Ctrlr" } ,
	{ 0x1C1C, 0x0001, "82C101", "IDE Ctrlr" } ,
	{ 0x1DE1, 0xDC29, "DC290M", "Bus Master IDE PCI 2 controllers" } ,
	{ 0x3D3D, 0x0004, "3C0SX", "GUI Accelerator" } ,
	{ 0x4005, 0x2301, "ALG2301", "GUI Accelerator" } ,
	{ 0x4005, 0x2302, "ALG2302", "GUI Accelerator" } ,
	{ 0x4033, 0x1300, "SIS900", "10/100Mbps Fast Ethernet Controller" } ,
	{ 0x4033, 0x1320, "VT86C100A", "10/100M PCI Fast Ethernet Controller" } ,
	{ 0x4033, 0x1360, "RTL8139A", "10/100 Mbps PCI Fast Ethernet Controller" } ,
	{ 0x4033, 0x1380, "DEC 21143PD", "10/100M PCI Fast Ethernet Controller" } ,
	{ 0x4B10, 0x3080, "", "SCSI - ti" } ,
	{ 0x4B10, 0x4010, "", "Fast/wide SCSI-2" } ,
	{ 0x5333, 0x5631, "86C325", "Virge 3D GUI Accelerator" } ,
	{ 0x5333, 0x8800, "", "Vision 866 GUI Accelerator" } ,
	{ 0x5333, 0x8801, "", "Vision 964 GUI Accelerator" } ,
	{ 0x5333, 0x8810, "86C764", "Trio 32 GUI Accelerator v0" } ,
	{ 0x5333, 0x8811, "86C764", "Trio 32/64 GUI Accelerator v1" } ,
	{ 0x5333, 0x8813, "86C764", "Trio 32/64 GUI Accelerator v3" } ,
	{ 0x5333, 0x883D, "86C988", "ViRGE/VX 3D GUI Accelerator" } ,
	{ 0x5333, 0x8880, "86C868", "Vision 868 GUI Accelerator" } ,
	{ 0x5333, 0x8881, "86C868", "Vision 868 GUI Accelerator" } ,
	{ 0x5333, 0x8882, "86C868", "Vision 868 GUI Accelerator" } ,
	{ 0x5333, 0x8883, "86C868", "Vision 868 GUI Accelerator" } ,
	{ 0x5333, 0x88B0, "86C928", "GUI Accelerator v0" } ,
	{ 0x5333, 0x88B1, "86C928", "GUI Accelerator v1" } ,
	{ 0x5333, 0x88B2, "86C928", "GUI Accelerator v2" } ,
	{ 0x5333, 0x88B3, "86C928", "GUI Accelerator v3" } ,
	{ 0x5333, 0x88C0, "86C864", "GUI Accelerator v0" } ,
	{ 0x5333, 0x88C1, "86C864", "GUI Accelerator v1" } ,
	{ 0x5333, 0x88C2, "86C864", "GUI Accelerator v2" } ,
	{ 0x5333, 0x88C3, "86C864", "GUI Accelerator v3" } ,
	{ 0x5333, 0x88D0, "86C964", "GUI Accelerator v0" } ,
	{ 0x5333, 0x88D1, "86C964", "GUI Accelerator v1" } ,
	{ 0x5333, 0x88D2, "86C964", "GUI Accelerator v2" } ,
	{ 0x5333, 0x88D3, "86C964", "GUI Accelerator v3" } ,
	{ 0x5333, 0x88F0, "86C968", "GUI Accelerator v0" } ,
	{ 0x5333, 0x88F1, "86C968", "GUI Accelerator v1" } ,
	{ 0x5333, 0x88F2, "86C968", "GUI Accelerator v2" } ,
	{ 0x5333, 0x88F3, "86C968", "GUI Accelerator v3" } ,
	{ 0x5333, 0x8901, "Trio 64V2 DX", "S3 Trio 64V2 DX (775)" } ,
	{ 0x5333, 0x8904, "86C365", "Trio3D" } ,
	{ 0x5333, 0x8A01, "82C375/6", "ViRGE/DX & /GX" } ,
	{ 0x5333, 0x8A13, "82C362", "Trio3DX2 AGP" } ,
	{ 0x5333, 0xCA00, "86C617", "SonicVibes PCI Audio Accelerator" } ,
	{ 0x5455, 0x4458, "S5933", "PCI-MyBus-Bridge" } ,
	{ 0x6374, 0x6773, "GPPCI", "PCI Interface" } ,
	{ 0x8001, 0x0010, "ispLSI1032E", "PCI-decoder" } ,
	{ 0x8008, 0x0010, "PWDOG1/2", "PCI-Watchdog 1" } ,
	{ 0x8008, 0x0011, "PWDOG1/2", "Watchdog2/PCI" } ,
	{ 0x8008, 0x0016, "PROTO2", "" } ,
	{ 0x8008, 0x0100, "PREL8", "" } ,
	{ 0x8008, 0x0102, "PREL16", "" } ,
	{ 0x8008, 0x0103, "POPTOREL16", "" } ,
	{ 0x8008, 0x0105, "POPTO16IN", "" } ,
	{ 0x8008, 0x0106, "PTTL24IO", "" } ,
	{ 0x8008, 0x0107, "PUNIREL", "" } ,
	{ 0x8008, 0x1000, "PDAC4", "" } ,
	{ 0x8008, 0x1001, "PAD12DAC4", "" } ,
	{ 0x8008, 0x1002, "PAD16DAC4", "" } ,
	{ 0x8008, 0x1005, "PAD12", "" } ,
	{ 0x8008, 0x1006, "PAD16", "" } ,
	{ 0x8008, 0x3000, "POPTOLCA", "" } ,
	{ 0x8086, 0x0482, "82375EB", "PCI-EISA Bridge (PCEB)" } ,
	{ 0x8086, 0x0483, "82424", "CPU (i486) Bridge (Saturn)" } ,
	{ 0x8086, 0x0484, "82378ZB", "SIO ISA Bridge" } ,
	{ 0x8086, 0x0486, "82425EX", "PCI System Controller (PSC) for i486 (Aries)" } ,
	{ 0x8086, 0x04A3, "82434LX", "CPU (Pentium) Bridge (Mercury)" } ,
	{ 0x8086, 0x0960, "80960RP", "i960 RP Microprocessor/Bridge" } ,
	{ 0x8086, 0x1221, "82092AA", "PCMCIA Bridge" } ,
	{ 0x8086, 0x1222, "82092AA", "IDE Ctrlr" } ,
	{ 0x8086, 0x1223, "SAA7116", "" } ,
	{ 0x8086, 0x1227, "EtherExpress PRO100", "10/100 Fast Ethernet Adapter Card" } ,
	{ 0x8086, 0x1228, "EE PRO/100 Smart", "Intelligent 10/100 Fast Ethernet Adapter" } ,
	{ 0x8086, 0x1229, "82557", "Fast Ethernet LAN Controller" } ,
	{ 0x8086, 0x122D, "82437FX", "System Controller (TSC)" } ,
	{ 0x8086, 0x122E, "82371FB", "PCI to ISA Bridge (Triton)" } ,
	{ 0x8086, 0x1230, "82371FB", "IDE Interface (Triton)" } ,
	{ 0x8086, 0x1234, "82371MX", "Mobile PCI I/O IDE Xcelerator (MPIIX)" } ,
	{ 0x8086, 0x1235, "82437MX", "Mobile System Controller (MTSC)" } ,
	{ 0x8086, 0x1237, "82441FX", "PCI & Memory Controller (PMC)" } ,
	{ 0x8086, 0x1239, "82371FB", "IDE Interface (Triton)" } ,
	{ 0x8086, 0x123C, "82380AB", "Mobile PCI-to-ISA Bridge (MISA)" } ,
	{ 0x8086, 0x124B, "82380FB", "82380FB(MPCI2)" } ,
	{ 0x8086, 0x1250, "82439HX", "System Controller (TXC)" } ,
	{ 0x8086, 0x1960, "80960RP", "i960RP Microprocessor" } ,
	{ 0x8086, 0x2125, "82801AB", "AC97 Audio Controller" } ,
	{ 0x8086, 0x2410, "82801AA", "LPC Interface" } ,
	{ 0x8086, 0x2411, "82801AA", "IDE Controller" } ,
	{ 0x8086, 0x2412, "82801AA", "USB Controller" } ,
	{ 0x8086, 0x2413, "82801AA", "SMBus Controller" } ,
	{ 0x8086, 0x2415, "82801AA", "AC97 Audio Controller" } ,
	{ 0x8086, 0x2416, "82801AA", "AC97 Modem Controller" } ,
	{ 0x8086, 0x2418, "82801AA", "Hub Interface-to-PCI Bridge" } ,
	{ 0x8086, 0x2420, "82801AB", "LPC Interface" } ,
	{ 0x8086, 0x2421, "82801AB", "IDE Controller" } ,
	{ 0x8086, 0x2422, "82801AB", "USB Controller" } ,
	{ 0x8086, 0x2423, "82801AB", "SMBus Controller" } ,
	{ 0x8086, 0x2425, "82801AB", "AC97 Audio Controller" } ,
	{ 0x8086, 0x2426, "82801AB", "AC97 Modem Controller" } ,
	{ 0x8086, 0x2428, "82801AB", "Hub Interface-to-PCI Bridge" } ,
	{ 0x8086, 0x7000, "82371SB", "PIIX3 PCI-to-ISA Bridge (Triton II)" } ,
	{ 0x8086, 0x7010, "82371SB", "PIIX3 IDE Interface (Triton II)" } ,
	{ 0x8086, 0x7020, "82371SB", "PIIX3 USB Host Controller (Triton II)" } ,
	{ 0x8086, 0x7030, "82437VX", "System Controller" } ,
	{ 0x8086, 0x7051, "PB 642365-003", "Intel Business Video Conferencing Card" } ,
	{ 0x8086, 0x7100, "430TX", "82439TX MTXC System Ctrlr" } ,
	{ 0x8086, 0x7110, "82371AB", "PIIX4 ISA Bridge" } ,
	{ 0x8086, 0x7111, "82371AB", "PIIX4 IDE Controller" } ,
	{ 0x8086, 0x7112, "82371AB", "PIIX4 USB Interface" } ,
	{ 0x8086, 0x7113, "82371AB", "PIIX4 Power Management Controller" } ,
	{ 0x8086, 0x7120, "82810", "Host-Hub Interface Bridge / DRAM Ctrlr" } ,
	{ 0x8086, 0x7121, "82810", "Graphics Device" } ,
	{ 0x8086, 0x7122, "82810-DC100", "Host-Hub Interface Bridge / DRAM Ctrlr" } ,
	{ 0x8086, 0x7123, "82810-DC100", "Graphics Device" } ,
	{ 0x8086, 0x7180, "82443LX/EX (PAC)", "Host/PCI bridge in 440LX/EX AGP chipset" } ,
	{ 0x8086, 0x7181, "", "AGP device in 440LX/EX AGP chipset" } ,
	{ 0x8086, 0x7190, "82443BX/ZX", "440BX/ZX AGPset Host Bridge" } ,
	{ 0x8086, 0x7191, "82443BX/ZX", "440BX/ZX AGPset PCI-to-PCI bridge" } ,
	{ 0x8086, 0x7192, "82443BX/ZX", "440BX/ZX chipset Host-to-PCI Bridge" } ,
	{ 0x8086, 0x71A0, "82443GX", "Host-to-PCI Bridge" } ,
	{ 0x8086, 0x71A1, "82443GX", "PCI-to-PCI Bridge (AGP)" } ,
	{ 0x8086, 0x71A2, "82443GX", "Host-to-PCI Bridge" } ,
	{ 0x8086, 0x7800, "i740", "i740 Display Adapter" } ,
	{ 0x8086, 0x84C4, "82450KX/GX", "450KX/GX PCI Bridge (Orion)" } ,
	{ 0x8086, 0x84C5, "82453KX/GX", "450KX/GX Memory Controller (Orion)" } ,
	{ 0x8086, 0x84CA, "82451NX", "450NX PCIset Memory & I/O Controller" } ,
	{ 0x8086, 0x84CB, "82454NX", "450NX PCIset PCI Expander Bridge" } ,
	{ 0x8800, 0x2008, "", "video assistant component" } ,
	{ 0x9004, 0x1078, "AIC-7810C", "RAID Coprocessor" } ,
	{ 0x9004, 0x3B78, "AHA-4944W/4944UW", "QuadChannel Fast-Wide/Ultra-Wide Diff. SCSI Ctrlr" } ,
	{ 0x9004, 0x5075, "AIC-755x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x5078, "AVA-29xx", "AVA-2902I/AVA-2902E/AVA-2904/AVA-2910 SCSI Ctrlr" } ,
	{ 0x9004, 0x5175, "AIC-755x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x5178, "AIC-7850", "FAST-SCSI Ctrlr" } ,
	{ 0x9004, 0x5275, "AIC-755x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x5278, "AIC-7850", "Fast SCSI Ctrlr" } ,
	{ 0x9004, 0x5375, "AIC-755x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x5378, "AIC-7850", "Fast SCSI Ctrlr" } ,
	{ 0x9004, 0x5475, "AIC-755x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x5478, "AIC-7850", "Fast SCSI Ctrlr" } ,
	{ 0x9004, 0x5575, "AVA-2930", "SCSI Ctrlr" } ,
	{ 0x9004, 0x5578, "AIC-7855", "Fast SCSI Ctrlr" } ,
	{ 0x9004, 0x5675, "AIC-755x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x5678, "AIC-7856", "Fast SCSI Ctrlr" } ,
	{ 0x9004, 0x5775, "AIC-755x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x5778, "AIC-7850", "Fast SCSI Ctrlr" } ,
	{ 0x9004, 0x5800, "AIC-5800", "PCI-to-1394 Ctrlr" } ,
	{ 0x9004, 0x6078, "AIC-7860", "SCSI Ctrlr" } ,
	{ 0x9004, 0x6178, "AHA-2940AU", "SCSI Ctrlr" } ,
	{ 0x9004, 0x6278, "AIC-7860", "SCSI Ctrlr" } ,
	{ 0x9004, 0x6378, "AIC-7860", "SCSI Ctrlr" } ,
	{ 0x9004, 0x6478, "AIC-786x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x6578, "AIC-786x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x6678, "AIC-786x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x6778, "AIC-786x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x7078, "AIC-7870", "Fast and Wide SCSI Ctrlr" } ,
	{ 0x9004, 0x7178, "AHA-2940/2940W", "Fast/Fast-Wide SCSI Ctrlr" } ,
	{ 0x9004, 0x7278, "AHA-3940/3940W", "Multichannel Fast/Fast-Wide SCSI Ctrlr" } ,
	{ 0x9004, 0x7378, "AHA-3985", "4-chan RAID SCSI Ctrlr" } ,
	{ 0x9004, 0x7478, "AHA-2944", "SCSI Ctrlr" } ,
	{ 0x9004, 0x7578, "AHA-3944/3944W", "Multichannel Fast/Fast-Wide Diff. SCSI Ctrlr" } ,
	{ 0x9004, 0x7678, "AHA-4944W/4944UW", "QuadChannel Fast-Wide/Ultra-Wide Diff. SCSI Ctrlr" } ,
	{ 0x9004, 0x7778, "AIC-787x", "SCSI Ctrlr" } ,
	{ 0x9004, 0x7810, "aic 7810", "Memory control IC" } ,
	{ 0x9004, 0x7850, "aic-7850", "SCSI IC" } ,
	{ 0x9004, 0x7855, "aha 2930", "Single SCSI channel" } ,
	{ 0x9004, 0x7860, "AIC-7860", "SCSI Ctrlr" } ,
	{ 0x9004, 0x7870, "aic-7870", "SCSI IC" } ,
	{ 0x9004, 0x7871, "aha 2940", "SCSI" } ,
	{ 0x9004, 0x7872, "aha 3940", "Multiple SCSI channels" } ,
	{ 0x9004, 0x7873, "aha 3980", "Multiple SCSI channels" } ,
	{ 0x9004, 0x7874, "aha 2944", "Differential SCSI" } ,
	{ 0x9004, 0x7880, "aic7880", "Fast 20 SCSI" } ,
	{ 0x9004, 0x7890, "AIC-7890", "SCSI controller" } ,
	{ 0x9004, 0x7891, "AIC-789x", "SCSI controller" } ,
	{ 0x9004, 0x7892, "AIC-789x", "SCSI controller" } ,
	{ 0x9004, 0x7893, "AIC-789x", "SCSI controller" } ,
	{ 0x9004, 0x7894, "AIC-789x", "SCSI controller" } ,
	{ 0x9004, 0x7895, "AIC-7895", "Ultra-Wide SCSI Ctrlr on AHA-2940 AHA-394x" } ,
	{ 0x9004, 0x7896, "AIC-789x", "SCSI controller" } ,
	{ 0x9004, 0x7897, "AIC-789x", "SCSI controller" } ,
	{ 0x9004, 0x8078, "AIC-7880", "Ultra Wide SCSI" } ,
	{ 0x9004, 0x8178, "AHA-2940U/2940UW", "Ultra/Ultra-Wide SCSI Ctrlr" } ,
	{ 0x9004, 0x8278, "AHA-3940Uxx", "AHA-3940U/3940UW/3940UWD SCSI Ctrlr" } ,
	{ 0x9004, 0x8478, "AHA-2944UW", "Ultra-Wide Diff. SCSI Ctrlr" } ,
	{ 0x9004, 0x8578, "AHA-3944U/3944UWD", "Fast-Wide/Ultra-Wide Diff. SCSI Ctrlr" } ,
	{ 0x9004, 0x8678, "AHA-4944UW", "QuadChannel Ultra-Wide Diff. SCSI Ctrlr" } ,
	{ 0x9004, 0x8778, "AIC-788x", "Ultra-Wide SCSI Ctrlr" } ,
	{ 0x9004, 0xEC78, "AHA-4944W/4944UW", "QuadChannel Fast-Wide/Ultra-Wide Diff. SCSI Ctrlr" } ,
	{ 0x9005, 0x001f, "AIC-7890", "Ultra2-Wide SCSI controller" } ,
	{ 0x907F, 0x2015, "IDE-2015PL", "EIDE Ctrlr" } ,
	{ 0xD4D4, 0x0601, "", "" } ,
	{ 0xEDD8, 0xA091, "Stingray", "GUI Accelerator" } ,
	{ 0xEDD8, 0xA099, "Stingray", "2000PV GUI Accelerator" } ,
	{ 0xEDD8, 0xA0A1, "ark2000mt", "64-bit GUI accelerator w/DCI playback" } ,
	{ 0xFFFF, 0x0140, "BAD !", "BAD Buslogic BT-946C SCSI?" } ,
} ;

// Use this value for loop control during searching:
#define	PCI_DEVTABLE_LEN	(sizeof(PciDevTable)/sizeof(PCI_DEVTABLE))


/** @brief PCI class code structure */
typedef struct _PCI_CLASSCODETABLE
{
	/// Base class identifier
	unsigned char	BaseClass ;
	/// Sub class identifier
	unsigned char	SubClass ;
	/// Programming interface identifier
	unsigned char	ProgIf ;
	/// Base class description string
	char *		BaseDesc ;
	/// Sub class description string
	char *		SubDesc ;
	/// Programming interface description string
	char *		ProgDesc ;
}  PCI_CLASSCODETABLE, *PPCI_CLASSCODETABLE ;

static const PCI_CLASSCODETABLE PciClassCodeTable [] =
{
	{ 0x00, 0x00, 0x00, "Pre-2.0 PCI Specification Device", "Non-VGA","" } ,
	{ 0x00, 0x01, 0x00, "Pre-2.0 PCI Specification Device", "VGA Compatible", "" } ,

	{ 0x01, 0x00, 0x00, "Mass Storage Controller", "SCSI", "" } ,
	{ 0x01, 0x01, 0x00, "Mass Storage Controller", "IDE", "" } ,
	{ 0x01, 0x02, 0x00, "Mass Storage Controller", "Floppy", "" } ,
	{ 0x01, 0x03, 0x00, "Mass Storage Controller", "IPI", "" } ,
	{ 0x01, 0x04, 0x00, "Mass Storage Controller", "RAID", "" } ,
	{ 0x01, 0x80, 0x00, "Mass Storage Controller", "Other", "" } ,

	{ 0x02, 0x00, 0x00, "Network Controller", "Ethernet", "" } ,
	{ 0x02, 0x01, 0x00, "Network Controller", "Token Ring", "" } ,
	{ 0x02, 0x02, 0x00, "Network Controller", "FDDI", "" } ,
	{ 0x02, 0x03, 0x00, "Network Controller", "ATM", "" } ,
	{ 0x02, 0x80, 0x00, "Network Controller", "Other", "" } ,

	{ 0x03, 0x00, 0x00, "Display Controller", "PC Compatible", "VGA" } ,
	{ 0x03, 0x00, 0x01, "Display Controller", "PC Compatible", "8514" } ,
	{ 0x03, 0x01, 0x00, "Display Controller", "XGA", "" } ,
	{ 0x03, 0x80, 0x00, "Display Controller", "Other", "" } ,

	{ 0x04, 0x00, 0x00, "Multimedia Device", "Video", "" } ,
	{ 0x04, 0x01, 0x00, "Multimedia Device", "Audio", "" } ,
	{ 0x04, 0x80, 0x00, "Multimedia Device", "Other", "" } ,

	{ 0x05, 0x00, 0x00, "Memory Controller", "RAM", "" } ,
	{ 0x05, 0x01, 0x00, "Memory Controller", "Flash", "" } ,
	{ 0x05, 0x80, 0x00, "Memory Controller", "Other", "" } ,

	{ 0x06, 0x00, 0x00, "Bridge Device", "Host/PCI", "" } ,
	{ 0x06, 0x01, 0x00, "Bridge Device", "PCI/ISA", "" } ,
	{ 0x06, 0x02, 0x00, "Bridge Device", "PCI/EISA", "" } ,
	{ 0x06, 0x03, 0x00, "Bridge Device", "PCI/Micro Channel", "" } ,
	{ 0x06, 0x04, 0x00, "Bridge Device", "PCI/PCI", "" } ,
	{ 0x06, 0x05, 0x00, "Bridge Device", "PCI/PCMCIA", "" } ,
	{ 0x06, 0x06, 0x00, "Bridge Device", "PCI/NuBus", "" } ,
	{ 0x06, 0x07, 0x00, "Bridge Device", "PCI/CardBus", "" } ,
	{ 0x06, 0x80, 0x00, "Bridge Device", "Other", "" } ,

	{ 0x07, 0x00, 0x00, "Simple Communications Controller", "Serial", "Generic XT Compatible" } ,
	{ 0x07, 0x00, 0x01, "Simple Communications Controller", "Serial", "16450 Compatible" } ,
	{ 0x07, 0x00, 0x02, "Simple Communications Controller", "Serial", "16550 Compatible" } ,
	{ 0x07, 0x01, 0x00, "Simple Communications Controller", "Parallel", "Standard" } ,
	{ 0x07, 0x01, 0x00, "Simple Communications Controller", "Parallel", "Bidirectional" } ,
	{ 0x07, 0x01, 0x01, "Simple Communications Controller", "Parallel", "ECP 1.X Compliant" } ,
	{ 0x07, 0x80, 0x02, "Simple Communications Controller", "Other", "" } ,

	{ 0x08, 0x00, 0x00, "Base Systems Peripheral", "PIC (Programmable Interrupt Controller)", "Generic 8259" } ,
	{ 0x08, 0x00, 0x01, "Base Systems Peripheral", "PIC (Programmable Interrupt Controller)", "ISA" } ,
	{ 0x08, 0x00, 0x02, "Base Systems Peripheral", "PIC (Programmable Interrupt Controller)", "PCI" } ,
	{ 0x08, 0x01, 0x00, "Base Systems Peripheral", "DMA (Direct Memory Access)", "Generic 8259" } ,
	{ 0x08, 0x01, 0x01, "Base Systems Peripheral", "DMA (Direct Memory Access)", "ISA" } ,
	{ 0x08, 0x01, 0x02, "Base Systems Peripheral", "DMA (Direct Memory Access)", "EISA" } ,
	{ 0x08, 0x02, 0x00, "Base Systems Peripheral", "System Timer", "Generic 8259" } ,
	{ 0x08, 0x02, 0x01, "Base Systems Peripheral", "System Timer", "ISA" } ,
	{ 0x08, 0x02, 0x02, "Base Systems Peripheral", "System Timer", "EISA" } ,
	{ 0x08, 0x03, 0x00, "Base Systems Peripheral", "RTC (Real Time Clock)", "Generic" } ,
	{ 0x08, 0x03, 0x01, "Base Systems Peripheral", "RTC (Real Time Clock)", "ISA" } ,
	{ 0x08, 0x80, 0x00, "Base Systems Peripheral", "Other", "" } ,

	{ 0x09, 0x00, 0x00, "Input Device", "Keyboard", "" } ,
	{ 0x09, 0x01, 0x00, "Input Device", "Digitizer (Pen)", "" } ,
	{ 0x09, 0x02, 0x00, "Input Device", "Mouse", "" } ,
	{ 0x09, 0x80, 0x00, "Input Device", "Other", "" } ,

	{ 0x0A, 0x00, 0x00, "Docking Station", "Generic", "" } ,
	{ 0x0A, 0x80, 0x00, "Docking Station", "Other", "" } ,

	{ 0x0B, 0x00, 0x00, "Processor", "i386", "" } ,
	{ 0x0B, 0x01, 0x00, "Processor", "i486", "" } ,
	{ 0x0B, 0x02, 0x00, "Processor", "Pentium", "" } ,
	{ 0x0B, 0x10, 0x00, "Processor", "Alpha", "" } ,
	{ 0x0B, 0x20, 0x00, "Processor", "Power PC", "" } ,
	{ 0x0B, 0x80, 0x00, "Processor", "Co-processor", "" } ,

	{ 0x0C, 0x00, 0x00, "Serial Bus Controller", "Firewire (IEEE 1394)", "" } ,
	{ 0x0C, 0x01, 0x00, "Serial Bus Controller", "ACCESS.bus", "" } ,
	{ 0x0C, 0x02, 0x00, "Serial Bus Controller", "SSA (Serial Storage Archetecture)", "" } ,
	{ 0x0C, 0x03, 0x00, "Serial Bus Controller", "USB (Universal Serial Bus)", "" } ,
	{ 0x0C, 0x04, 0x00, "Serial Bus Controller", "Fibre Channel", "" } ,

	{ 0xFF, 0x00, 0x00, "Unknown", "Device Does Not Fit In Class Codes", "UDF" } ,
} ;

// Use this value for loop control during searching:
#define	PCI_CLASSCODETABLE_LEN	(sizeof(PciClassCodeTable)/sizeof(PCI_CLASSCODETABLE))


static const char *	PciCommandFlags [] =
{
	"I/O Access",
	"Memory Access",
	"Bus Mastering",
	"Special Cycles",
	"Memory Write & Invalidate",
	"Palette Snoop",
	"Parity Errors",
	"Wait Cycles",
	"System Errors",
	"Fast Back-To-Back",
	"Reserved 10",
	"Reserved 11",
	"Reserved 12",
	"Reserved 13",
	"Reserved 14",
	"Reserved 15"
} ;

// Use this value for loop control during searching:
#define	PCI_COMMANDFLAGS_LEN	(sizeof(PciCommandFlags)/sizeof(char *))


static const char *	PciStatusFlags [] =
{
	"Reserved 0",
	"Reserved 1",
	"Reserved 2",
	"Reserved 3",
	"Reserved 4",
	"66 MHz Capable",
	"User-Defined Features",
	"Fast Back-To-Back",
	"Data Parity Reported",
	"",
	"",
	"Signalled Target Abort",
	"Received Target Abort",
	"Received Master Abort",
	"Signalled System Error",
	"Detected Parity Error"
} ;

// Use this value for loop control during searching:
#define	PCI_STATUSFLAGS_LEN	(sizeof(PciStatusFlags)/sizeof(char *))


static const char *	PciDevSelFlags [] =
{
	"Fast Devsel Speed",     // TypeC
	"Medium Devsel Speed",   // TypeB
	"Slow Devsel Speed",     // TypeA
	"Reserved 9&10"
} ;

// Use this value for loop control during searching:
#define	PCI_DEVSELFLAGS_LEN	(sizeof(PciDevSelFlags)/sizeof(char *))
